(function(){
Template.__checkName("adminBaseball");
Template["adminBaseball"] = new Template("Template.adminBaseball", (function() {
  var view = this;
  return HTML.DIV({
    class: "container"
  }, "\t\n\t  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n   \t\t ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\t\n\n   \t\t ", Blaze._TemplateWith(function() {
        return "headerButtonLeft";
      }, function() {
        return Spacebars.include(view.lookupTemplate("contentFor"), function() {
          return [ "\n\t\t    ", HTML.BUTTON({
            class: "button button-clear nav-icon pull-left",
            "data-ion-menu-toggle": "left"
          }, "\n\t\t      ", Blaze.If(function() {
            return Spacebars.call(view.lookup("isAndroid"));
          }, function() {
            return [ "\n\t\t        ", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("android-more-vertical")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t      " ];
          }, function() {
            return [ "\n\t\t        ", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("navicon")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t      " ];
          }), "\n\t\t    "), "\n\t\t  " ];
        });
      }), "\n   \t\t \n   \t\t ", Blaze._TemplateWith(function() {
        return "headerTitle";
      }, function() {
        return Spacebars.include(view.lookupTemplate("contentFor"), function() {
          return [ "\n\t\t\t\t\t", HTML.H1({
            class: "title white-text-header"
          }, "Admin Panel"), "\n   \t\t " ];
        });
      }), "\n\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", HTML.BUTTON({
        class: "button button-calm col-md-50",
        "data-action": "createBaseballQuestion"
      }, "\n\t\t\t\tCreate Question\n\t\t\t"), "\n\t\t\t", HTML.BUTTON({
        class: "button button-energized col-md-50",
        "data-action": "createAtBat"
      }, "\n\t\t\t\tCreate At Bat\n\t\t\t"), "\n\t\t\t", Spacebars.include(view.lookupTemplate("adminGameInfo")), "\n\t\t"), "\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", HTML.DIV({
        class: "admin-bases"
      }, "\n\t\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("third"));
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "third",
          class: "base-diamond admin-base-size admin-base-fix third-base-admin "
        }), " \n\t\t\t\t" ];
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "third",
          class: "admin-base-empty admin-base-size base-diamond admin-base-fix third-base-admin "
        }), " \n\t\t\t\t" ];
      }), "\n\t\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("second"));
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "second",
          class: "base-diamond admin-base-size"
        }), " \n\t\t\t\t" ];
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "second",
          class: "admin-base-empty admin-base-size base-diamond"
        }), "\n\t\t\t\t" ];
      }), " \n\t\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("first"));
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "first",
          class: "base-diamond admin-base-size admin-base-fix first-base-admin"
        }), " \n\t\t\t\t" ];
      }, function() {
        return [ " \n\t\t\t\t\t", HTML.DIV({
          "data-action": "first",
          class: "admin-base-empty admin-base-size base-diamond admin-base-fix first-base-admin"
        }), "\n\t\t\t\t" ];
      }), "\n\t\t\t"), "\n\t\t"), "\n\n\t\t\n\t\t", HTML.DIV({
        class: "clear-fix"
      }), "\n\n\t\t", HTML.DIV("\n\t\t\t", Spacebars.include(view.lookupTemplate("otherQuestions")), "\n\t\t"), "\n\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("activeQuestions")), "\n\t\t"), "\n\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("pendingQuestions")), "\n\t\t"), "\n\n\t\t", Spacebars.include(view.lookupTemplate("teamBattingLineup")), "\n\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("atBatQuestion")), "\n\t\t"), "\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("atBats")), "\n\t\t"), "\n\t\t", HTML.DIV({
        class: "col-md-50"
      }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("oldQuestions")), "\n\t\t"), "\n\t\t" ];
    }), "\n\t  " ];
  }), "\n ");
}));

Template.__checkName("atBats");
Template["atBats"] = new Template("Template.atBats", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n\t\t", HTML.DIV({
      class: "item item-divider"
    }, "At Bats"), " \n\t\t", Blaze.Each(function() {
      return Spacebars.call(view.lookup("atBat"));
    }, function() {
      return [ "\n\t\t\t", Spacebars.With(function() {
        return Spacebars.dataMustache(view.lookup("onePlayer"), view.lookup("playerId"));
      }, function() {
        return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            buttonRight: Spacebars.call(true)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionItem"), function() {
            return [ "\n\t\t\t\t\t", Blaze.View("lookup:name", function() {
              return Spacebars.mustache(view.lookup("name"));
            }), "\n\t\t\t\t\t", HTML.A({
              class: "button",
              "data-action": "endAtBat"
            }, "\n\t\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("close")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t\t\t\t\t\t"), " \n\t\t\t\t" ];
          });
        }), "\n\t\t\t" ];
      }), "\n\t\t" ];
    }), "\n\t" ];
  });
}));

Template.__checkName("adminGameInfo");
Template["adminGameInfo"] = new Template("Template.adminGameInfo", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "col-md-50 float-left"
  }, "\n\t\t", HTML.Raw("<h1>Count:</h1>"), "\n\t\t\t", HTML.FORM({
    id: "count"
  }, "\n\t\t\t\t", HTML.INPUT({
    class: "at-bat-number ball-number",
    value: function() {
      return Spacebars.mustache(view.lookup("balls"));
    }
  }), "\n\t\t\t\t", HTML.INPUT({
    class: "at-bat-number strike-number",
    value: function() {
      return Spacebars.mustache(view.lookup("strikes"));
    }
  }), "\n\t\t\t\t", HTML.Raw('<input type="submit">'), "\n\t\t\t"), "\n\t\t", HTML.H1(" ", Blaze.View("lookup:balls", function() {
    return Spacebars.mustache(view.lookup("balls"));
  }), " - ", Blaze.View("lookup:strikes", function() {
    return Spacebars.mustache(view.lookup("strikes"));
  })), " \n\t"), "\n\t", HTML.DIV({
    class: "col-md-50 float-left"
  }, "\n\t\t", HTML.Raw("<h1>Outs</h1>"), "\n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("oneOut"));
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-out",
      "data-action": "firstOut"
    }), "\n\t\t" ];
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-no-out",
      "data-action": "firstOut"
    }), "\n\t\t" ];
  }), "\n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("twoOuts"));
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-out",
      "data-action": "secondOut"
    }), "\n\t\t" ];
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-no-out",
      "data-action": "secondOut"
    }), " \n\t\t" ];
  }), " \n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("threeOuts"));
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-out",
      "data-action": "thirdOut"
    }), "\n\t\t" ];
  }, function() {
    return [ " \n\t\t\t", HTML.DIV({
      class: "admin-no-out",
      "data-action": "thirdOut"
    }), "\n\t\t" ];
  }), "\n\t") ];
}));

}).call(this);
