(function(){
Template.__checkName("teamBattingLineup");
Template["teamBattingLineup"] = new Template("Template.teamBattingLineup", (function() {
  var view = this;
  return [ HTML.Raw('<div class="clear-fix"></div>\n\t'), HTML.DIV({
    class: "col-md-50"
  }, "\n\t\t", HTML.H1("\n\t\t\t", Spacebars.With(function() {
    return Spacebars.call(view.lookup("atBatNumber"));
  }, function() {
    return [ "\n\t\t\t\t", HTML.FORM({
      id: "atBat"
    }, "\n\t\t\t\t\t", HTML.INPUT({
      class: "at-bat-number",
      value: function() {
        return Spacebars.mustache(view.lookup("batterNum"));
      }
    }), "\n\t\t\t\t\t", HTML.INPUT({
      type: "submit"
    }), "\n\t\t\t\t"), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t"), "\n\t", HTML.DIV({
    class: "clear-fix"
  }, "\n\t", HTML.DIV({
    class: "col-md-50"
  }, "\n\t\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n\t\t\t", HTML.DIV({
      class: "item item-divider"
    }, "Batting"), " \n\t\t\t", HTML.OL({
      type: "1",
      class: "list"
    }, "\n\t\t\t\t", Blaze.Each(function() {
      return Spacebars.call(view.lookup("battingLineUp"));
    }, function() {
      return [ "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
        return {
          buttonRight: Spacebars.call(true)
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionItem"), function() {
          return [ "\n\t\t\t\t\t\t", Spacebars.With(function() {
            return Spacebars.dataMustache(view.lookup("onePlayer"), view.lookup("."));
          }, function() {
            return [ "\n\t\t\t\t\t\t\t", HTML.A({
              "data-action": "move-up"
            }, "\n\t\t\t\t\t\t\t\t", HTML.I({
              class: "fa fa-caret-up"
            }), "\n\t\t\t\t\t\t\t"), "\n\t\t\t\t\t\t\t", HTML.LI({
              class: function() {
                return Blaze.If(function() {
                  return Spacebars.dataMustache(view.lookup("atBat"), Spacebars.dot(view.lookup("."), "_id"));
                }, function() {
                  return " player-active ";
                });
              },
              "data-value": function() {
                return Spacebars.mustache(view.lookup("@index"));
              }
            }, "\t\n\t\t\t\t\t\t\t\t", Blaze.View("lookup:name", function() {
              return Spacebars.mustache(view.lookup("name"));
            }), "\n\t\t\t\t\t\t\t"), "\n\t\t\t\t\t\t\t", HTML.A({
              class: "button",
              "data-action": "removeFromBattingOrder"
            }, "\n\t\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("close")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t\t\t\t\t\t"), " \n\t\t\t\t\t\t\t", HTML.A({
              class: "button stacked-button",
              "data-action": "pick-position"
            }, "\n\t\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("more")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t\t\t\t\t\t"), " \n\t\t\t\t\t\t\t", HTML.A({
              "data-action": "move-down"
            }, "\n\t\t\t\t\t\t\t\t", HTML.I({
              class: "fa fa-caret-down"
            }), "\n\t\t\t\t\t\t\t"), "\n\t\t\t\t\t\t" ];
          }), "\n\t\t\t\t\t" ];
        });
      }), "\n\t\t\t\t" ];
    }), "\n\t\t\t"), "\n\t\t" ];
  }), "\n\t\t"), "\n\n\t\t", HTML.DIV({
    class: "col-md-50"
  }, "\n\t\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n\t\t\t", HTML.DIV({
      class: "item item-divider"
    }, Blaze.View("lookup:teamName", function() {
      return Spacebars.mustache(view.lookup("teamName"));
    })), " \n\n\t\t\t", Blaze.Each(function() {
      return Spacebars.call(view.lookup("player"));
    }, function() {
      return [ "\n\t\t\t\t", Blaze.If(function() {
        return Spacebars.dataMustache(view.lookup("alreadyInLineUp"), view.lookup("_id"));
      }, function() {
        return [ "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            buttonRight: Spacebars.call(true)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionItem"), function() {
            return [ "\n\t\t\t\t\t\t", Blaze.View("lookup:name", function() {
              return Spacebars.mustache(view.lookup("name"));
            }), " - ", Blaze.View("lookup:position", function() {
              return Spacebars.mustache(view.lookup("position"));
            }), " \n\t\t\t\t\t\t", HTML.A({
              class: "button",
              "data-action": "addToBattingOrder"
            }, Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("more")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            })), " \n\t\t\t\t\t" ];
          });
        }), "\n\t\t\t\t" ];
      }), "\n\t\t\t" ];
    }), "\n\t\t" ];
  }), "\n\t\t"), "\n\t") ];
}));

}).call(this);
