(function(){
Template.__checkName("gameInfo");
Template["gameInfo"] = new Template("Template.gameInfo", (function() {
  var view = this;
  return HTML.DIV({
    class: "container"
  }, "\n\t  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n   \t\t", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\n   \t\t ", Blaze._TemplateWith(function() {
        return "headerButtonLeft";
      }, function() {
        return Spacebars.include(view.lookupTemplate("contentFor"), function() {
          return [ "\n\t\t    ", HTML.BUTTON({
            class: "button button-clear nav-icon pull-left",
            "data-ion-menu-toggle": "left"
          }, "\n\t\t      ", Blaze.If(function() {
            return Spacebars.call(view.lookup("isAndroid"));
          }, function() {
            return [ "\n\t\t        ", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("android-more-vertical")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t      " ];
          }, function() {
            return [ "\n\t\t        ", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("navicon")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n\t\t      " ];
          }), "\n\t\t    "), "\n\t\t  " ];
        });
      }), "\n\n\t\t\t", Blaze._TemplateWith(function() {
        return "headerTitle";
      }, function() {
        return Spacebars.include(view.lookupTemplate("contentFor"), function() {
          return [ "\n\t\t\t\t", HTML.H1({
            class: "title white-text-header"
          }, "Game Panel"), "\n\t\t\t" ];
        });
      }), "\n\n\t\t\t", HTML.FORM({
        id: "gameInfo"
      }, "\n\t\t\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "Sport"), "\n\t\t\t\t\t", HTML.SELECT({
        id: "sport"
      }, "\n\t\t\t\t\t\t", HTML.OPTION("NFL"), "\n\t\t\t\t\t\t", HTML.OPTION("NBA"), "\n\t\t\t\t\t\t", HTML.OPTION("MLB"), "\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "Away"), "\n\t\t\t\t\t", HTML.SELECT({
        id: "away"
      }, "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("nfl")), "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("nba")), "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("mlb")), "\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "Home"), "\n\t\t\t\t\t", HTML.SELECT({
        id: "home"
      }, "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("nfl")), "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("nba")), "\n\t\t\t\t\t\t", Spacebars.include(view.lookupTemplate("mlb")), "\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "TV Channel"), "\n\t\t\t\t\t", HTML.INPUT({
        id: "tv",
        type: "text"
      }), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.DIV({
        class: "item item-toggle item-text-wrap"
      }, "\n\t\t\t\t    Active?\n\t\t\t    ", HTML.LABEL({
        class: "toggle"
      }, "\n\t\t\t      ", HTML.INPUT({
        type: "checkbox",
        id: "gameActive",
        name: "gameActive"
      }), "\n\t\t\t      ", HTML.DIV({
        class: "track"
      }, "\n\t\t\t        ", HTML.DIV({
        class: "handle"
      }), "\n\t\t\t      "), "\n\t\t\t    "), "\n\t\t\t\t"), "\n\n\t\t\t\t", HTML.INPUT({
        class: "full",
        type: "submit"
      }), "\n\t\t\t"), "\n\n\t\t\t\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t\t\t\t", Blaze.Each(function() {
          return Spacebars.call(view.lookup("gameQuestion"));
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              path: Spacebars.call("game.show")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t\t\t\t", Blaze.View("lookup:que", function() {
                return Spacebars.mustache(view.lookup("que"));
              }), " ", Blaze.View("lookup:live", function() {
                return Spacebars.makeRaw(Spacebars.mustache(view.lookup("live")));
              }), "\n\t\t\t\t\t\t" ];
            });
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t" ];
      }), "\n\t\t\t" ];
    }), "\n\t\t" ];
  }), "\n\t");
}));

}).call(this);
