(function(){
Template.__checkName("gamePrediction");
Template["gamePrediction"] = new Template("Template.gamePrediction", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n  \t", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n\t    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }), "\n  \t"), "\n\t" ];
    });
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t", HTML.H1({
        class: "title white-text-header"
      }, "Game Prediction "), "\n " ];
    });
  }), "\n\n", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n\t", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\n\t", HTML.FORM({
        id: "gameInfo"
      }, "\n\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "Team 1"), "\n\t\t\t", HTML.SELECT({
        id: "team1"
      }, "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("nfl")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("mlb")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("nba")), "\n\t\t\t"), "\n\t\t"), "\n\t\t", HTML.LABEL({
        type: "stacked",
        class: "item item-input item-stacked-label"
      }, "\n\t\t\t", HTML.SPAN({
        class: "input-label"
      }, "Team 2"), "\n\t\t\t", HTML.SELECT({
        id: "team2"
      }, "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("nfl")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("mlb")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("nba")), "\n\t\t\t"), "\n\t\t"), "\n\t\t", HTML.INPUT({
        class: "full",
        type: "submit"
      }), "\n\t"), "\n\n", HTML.DIV({
        class: "item item-divider"
      }, "Future Questions"), "\n\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t", Blaze.Each(function() {
          return Spacebars.call(view.lookup("futureQuestion"));
        }, function() {
          return [ "\n\t\t\t", Blaze._TemplateWith(function() {
            return {
              buttonRight: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t", Blaze.View("lookup:que", function() {
                return Spacebars.mustache(view.lookup("que"));
              }), " -- ", Blaze.View("lookup:active", function() {
                return Spacebars.mustache(view.lookup("active"));
              }), "\n\t\t\t  ", HTML.BUTTON({
                class: "button",
                "data-action": "active"
              }, "\n\t\t\t    ", Blaze._TemplateWith(function() {
                return {
                  icon: Spacebars.call("ios-close")
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("ionIcon"));
              }), "\n\t\t\t  "), "\n\t\t\t" ];
            });
          }), "\n\t\t" ];
        }), "\n\t" ];
      }), "\n\n", HTML.DIV({
        class: "item item-divider"
      }, "Active Questions"), "\n\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t", Blaze.Each(function() {
          return Spacebars.call(view.lookup("gameQuestion"));
        }, function() {
          return [ "\n\t\t\t", Blaze._TemplateWith(function() {
            return {
              buttonRight: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t", Blaze.View("lookup:que", function() {
                return Spacebars.mustache(view.lookup("que"));
              }), " -- ", Blaze.View("lookup:active", function() {
                return Spacebars.mustache(view.lookup("active"));
              }), "\n\t\t\t  ", HTML.BUTTON({
                class: "button",
                "data-action": "pending"
              }, "\n\t\t\t    ", Blaze._TemplateWith(function() {
                return {
                  icon: Spacebars.call("ios-close")
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("ionIcon"));
              }), "\n\t\t\t  "), "\n\t\t\t" ];
            });
          }), "\n\t\t" ];
        }), "\n\t" ];
      }), "\n\n", HTML.DIV({
        class: "item item-divider"
      }, "Pending Questions"), "\n\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t", Blaze.Each(function() {
          return Spacebars.call(view.lookup("pendingGameQuestions"));
        }, function() {
          return [ "\n\t\t\t", Blaze._TemplateWith(function() {
            return {
              buttonRight: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t", Blaze.View("lookup:que", function() {
                return Spacebars.mustache(view.lookup("que"));
              }), " -- ", Blaze.View("lookup:active", function() {
                return Spacebars.mustache(view.lookup("active"));
              }), "\n\t\t\t\t", HTML.BUTTON({
                class: "button",
                "data-action": "_gamePopover"
              }, "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
                return {
                  icon: Spacebars.call("more")
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("ionIcon"));
              }), "\n\t\t\t  "), "\n\t\t\t" ];
            });
          }), "\n\t\t" ];
        }), "\n\t" ];
      }), "\n\n\t" ];
    }), "\n" ];
  }) ];
}));

}).call(this);
