(function(){
Template.__checkName("insertHero");
Template["insertHero"] = new Template("Template.insertHero", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Create New Hero"), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n    ", HTML.DIV({
        class: "container ten-spacing"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          collection: Spacebars.call("Hero"),
          type: Spacebars.call("insert"),
          id: Spacebars.call("createHero")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("autoForm"), function() {
          return [ "\n        ", Blaze._TemplateWith(function() {
            return {
              autofocus: Spacebars.call(""),
              name: Spacebars.call("name"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("title"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("description"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("image"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("url"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              type: Spacebars.call("boolean-radios"),
              name: Spacebars.call("active"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              type: Spacebars.call("boolean-radios"),
              name: Spacebars.call("important"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("location"),
              type: Spacebars.call("select-checkbox"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              type: Spacebars.call("select-radio"),
              name: Spacebars.call("time")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze.If(function() {
            return Spacebars.dataMustache(view.lookup("afFieldValueIs"), Spacebars.kw({
              name: "time",
              value: true
            }));
          }, function() {
            return [ "\n          ", Blaze._TemplateWith(function() {
              return {
                type: Spacebars.call("datetimepicker"),
                name: Spacebars.call("dateStart")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("afQuickField"));
            }), "\n          ", Blaze._TemplateWith(function() {
              return {
                type: Spacebars.call("datetimepicker"),
                name: Spacebars.call("dateEnd")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("afQuickField"));
            }), "\n        " ];
          }), "\n\n        ", HTML.INPUT({
            name: "status",
            type: "submit",
            class: "button button-large button-balanced",
            value: "Create Hero"
          }), "\n      " ];
        });
      }), "\n    "), "\n    " ];
    }), "\n   " ];
  }) ];
}));

}).call(this);
