(function(){
Template.__checkName("_editQuestion");
Template["_editQuestion"] = new Template("Template._editQuestion", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Edit Question")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n\t\t", HTML.DIV({
        class: "container ten-spacing"
      }, "\n\t\t\t", HTML.DIV({
        class: "clear-fix ten-spacing"
      }), "\n\t\t\t", HTML.INPUT({
        id: "edit-question-input",
        class: "ten-spacing",
        type: "text",
        value: function() {
          return Spacebars.mustache(view.lookup("que"));
        }
      }), "\n\t\t\t", HTML.UL({
        class: "ten-spacing"
      }, "\n\t\t\t\t", Blaze.Each(function() {
        return {
          _sequence: Spacebars.dataMustache(view.lookup("choices"), view.lookup(".")),
          _variable: "option"
        };
      }, function() {
        return [ "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            o: Spacebars.call(view.lookup("option")),
            q: Spacebars.call(view.lookup("."))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("editOption"));
        }), "\n\t\t\t\t" ];
      }), "\n\t\t\t"), "\n\t\t\t", HTML.BUTTON({
        id: "prop",
        class: "full button button-balanced ten-spacing",
        "data-action": "editQuestion"
      }, "Edit Question"), "\n\n\t\t"), "\n  " ];
    });
  });
}));

Template.__checkName("editOption");
Template["editOption"] = new Template("Template.editOption", (function() {
  var view = this;
  return HTML.LI({
    class: "option-boxes edit"
  }, "\n\t\t", HTML.INPUT({
    type: "text",
    class: "option-title",
    value: function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("o"), "title"));
    }
  }), "\n\t\t", HTML.INPUT({
    type: "text",
    class: "option-range",
    value: function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("o"), "multiplier"));
    }
  }), HTML.Raw('\n\t\t<!-- <button class="remove-option {{optionProtector}}" data-action="remove-option">\n\t\t\t{{> ionIcon icon=\'edit\'}}\n\t\t</button> -->\n\t'));
}));

}).call(this);
