(function(){
Template.__checkName("chatOverview");
Template["chatOverview"] = new Template("Template.chatOverview", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "bar bar-header bar-dark"
  }, "\n  ", Blaze.If(function() {
    return Spacebars.call(view.lookup("group"));
  }, function() {
    return [ "\n   ", HTML.H1({
      class: "title white-text-header"
    }, Blaze.View("lookup:group", function() {
      return Spacebars.mustache(view.lookup("group"));
    }), " Chat"), "\n\n   ", HTML.BUTTON({
      id: "all-chats",
      class: "button button-clear"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-back")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n    "), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.H1({
      class: "title white-text-header"
    }, "Chat"), "\n " ];
  }), "\n\n    ", HTML.BUTTON({
    class: "button button-clear pull-right",
    "data-ion-popover": "_groupChats"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-people")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n    "), "\n  "), "\n\n  ", Spacebars.include(view.lookupTemplate("chatRoom")) ];
}));

Template.__checkName("chatRoom");
Template["chatRoom"] = new Template("Template.chatRoom", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("messageBox")), "\n\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n        ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("groupMessages")),
            _variable: "item"
          };
        }, function() {
          return [ "\n          ", Blaze._TemplateWith(function() {
            return {
              i: Spacebars.call(view.lookup("item"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("singleMessage"));
          }), "\n        " ];
        }), "\n\n        ", Blaze.If(function() {
          return Spacebars.call(view.lookup("showLoadMore"));
        }, function() {
          return [ "\n          ", HTML.DIV({
            class: "load-more-wrapper text-center"
          }, "\n            ", HTML.BUTTON({
            class: "button load-more",
            type: "button"
          }, "Load more"), "\n          "), "\n        " ];
        }), "\n      " ];
      }), "\n\n    " ];
    }), "\n  " ];
  });
}));

Template.__checkName("messageBox");
Template["messageBox"] = new Template("Template.messageBox", (function() {
  var view = this;
  return HTML.FORM({
    id: "chat-message-area"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      settings: Spacebars.call(view.lookup("settings")),
      name: Spacebars.call("messageBox"),
      id: Spacebars.call("messageBox"),
      rows: Spacebars.call("3"),
      maxlength: Spacebars.call("150"),
      placeholder: Spacebars.call(view.lookup("randomMessage")),
      tabindex: Spacebars.call(1)
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("textareaAutocomplete"));
  }), HTML.Raw('\n    <div class="col-md-33 chat-buttons option-dividers" data-action="mention">Mention</div>\n    <div class="col-md-33 chat-buttons option-dividers" data-ion-popover="_reaction">React</div>\n    <button tabindex="2" id="chat-submit" class="col-md-33 button option-dividers" type="submit">Send</button>\n  '));
}));

Template.__checkName("singleMessage");
Template["singleMessage"] = new Template("Template.singleMessage", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      avatar: Spacebars.call(true),
      id: Spacebars.call(Spacebars.dot(view.lookup("i"), "_id")),
      class: Spacebars.call("single-message")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionItem"), function() {
      return [ "\n    ", Blaze.If(function() {
        return Spacebars.dataMustache(view.lookup("type"), "reaction");
      }, function() {
        return [ "\n      ", HTML.IMG({
          class: "reaction-message avatar user-avatar",
          src: function() {
            return Spacebars.mustache(view.lookup("emojiIconSrc"), view.lookup("."));
          }
        }), "\n      ", Spacebars.With(function() {
          return Spacebars.dataMustache(view.lookup("userObj"), Spacebars.dot(view.lookup("i"), "user"));
        }, function() {
          return [ "\n        ", HTML.H2({
            style: "margin-top: 13px;"
          }, Blaze.View("lookup:username", function() {
            return Spacebars.mustache(view.lookup("username"));
          }), "'s Reaction"), "\n      " ];
        }), "\n    " ];
      }, function() {
        return [ "\n      ", Spacebars.With(function() {
          return Spacebars.dataMustache(view.lookup("userObj"), Spacebars.dot(view.lookup("i"), "user"));
        }, function() {
          return [ "\n        ", Blaze._TemplateWith(function() {
            return {
              userId: Spacebars.call(view.lookup("_id")),
              alreadySubscribed: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("userAvatar"));
          }), "\n        ", HTML.H2(Blaze.View("lookup:username", function() {
            return Spacebars.mustache(view.lookup("username"));
          })), "\n      " ];
        }), "\n    " ];
      }), "\n    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("award"));
      }, function() {
        return [ "\n      ", HTML.P(HTML.STRONG(Blaze.View("lookup:i.message", function() {
          return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("i"), "message")));
        }))), "\n    " ];
      }, function() {
        return [ "\n      ", HTML.P(Blaze.View("lookup:messageText", function() {
          return Spacebars.makeRaw(Spacebars.mustache(view.lookup("messageText"), view.lookup("i")));
        })), "\n    " ];
      }), "\n    ", HTML.DIV({
        style: "margin-left: -65px; margin-right: -10px; clear: both;"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          reactions: Spacebars.call(Spacebars.dot(view.lookup("i"), "reactions"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("messageReactions"));
      }), "\n      ", Spacebars.include(view.lookupTemplate("chatOptions")), "\n    "), "\n  " ];
    });
  });
}));

Template.__checkName("chatOptions");
Template["chatOptions"] = new Template("Template.chatOptions", (function() {
  var view = this;
  return [ Blaze.If(function() {
    return Spacebars.call(view.lookup("canDelete"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      class: "col-md-33 single-chat-buttons",
      style: "float: right; padding-top: 3px;",
      "data-action": "delete"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        class: Spacebars.call("icon-small"),
        icon: Spacebars.call("ios-close-outline")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n      ", HTML.SPAN({
      style: "padding-top: 5px;"
    }, "Delete"), "\n    "), "\n  " ];
  }), "\n  ", Blaze.If(function() {
    return Spacebars.call(view.lookup("notOwnMessage"));
  }, function() {
    return [ "\n  ", HTML.BUTTON({
      style: "padding-top: 3px;",
      class: function() {
        return [ Spacebars.mustache(view.lookup("options")), " single-chat-buttons" ];
      },
      "data-action": "reply"
    }, "\n    ", Blaze._TemplateWith(function() {
      return {
        class: Spacebars.call("icon-small"),
        icon: Spacebars.call("forward")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n    ", HTML.SPAN({
      style: "padding-top: 5px;"
    }, "Reply"), "\n  "), "\n  ", HTML.BUTTON({
      class: function() {
        return [ Spacebars.mustache(view.lookup("options")), " single-chat-buttons grayscale" ];
      },
      "data-action": "react"
    }, "\n    ", HTML.IMG({
      class: "icon-small",
      src: "/emoji/Full-Color/Emoji-Party-Pack-01.svg"
    }), "\n    ", HTML.SPAN("React"), "\n  "), "\n  ", HTML.BUTTON({
      style: "padding-top: 3px;",
      class: function() {
        return [ Spacebars.mustache(view.lookup("options")), " single-chat-buttons" ];
      },
      "data-action": "user"
    }, "\n    ", Blaze._TemplateWith(function() {
      return {
        class: Spacebars.call("icon-small"),
        icon: Spacebars.call("ios-person")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n    ", HTML.SPAN({
      style: "padding-top: 5px;"
    }, "User"), "\n  "), "\n  " ];
  }) ];
}));

Template.__checkName("_groupChats");
Template["_groupChats"] = new Template("Template._groupChats", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionPopover"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionList"), function() {
      return [ "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("groups"));
      }, function() {
        return [ "\n        ", Blaze.Each(function() {
          return Spacebars.call(view.lookup("group"));
        }, function() {
          return [ "\n          ", Spacebars.With(function() {
            return Spacebars.dataMustache(view.lookup("groupName"), view.lookup("."));
          }, function() {
            return [ "\n            ", Blaze._TemplateWith(function() {
              return {
                class: Spacebars.call("group-selector"),
                id: Spacebars.call(Spacebars.dot(view.lookup("."), "_id"))
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionItem"), function() {
                return [ "\n              ", Blaze.View("lookup:name", function() {
                  return Spacebars.mustache(view.lookup("name"));
                }), "\n            " ];
              });
            }), "\n          " ];
          }), "\n        " ];
        }), "\n      " ];
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            buttonRight: Spacebars.call(true)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionItem"), function() {
            return [ "\n          ", HTML.P("No Groups :( Join a Group!"), "\n          ", HTML.A({
              "data-action": "no-group",
              class: "button"
            }, "\n            ", Blaze._TemplateWith(function() {
              return {
                icon: Spacebars.call("ios-plus")
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionIcon"));
            }), "\n          "), "\n        " ];
          });
        }), "\n      " ];
      }), "\n    " ];
    }), "\n  " ];
  });
}));

Template.__checkName("_reaction");
Template["_reaction"] = new Template("Template._reaction", (function() {
  var view = this;
  return HTML.DIV({
    class: "emoji-layer"
  }, "\n      ", Spacebars.include(view.lookupTemplate("ionPopover"), function() {
    return [ "\n        ", HTML.BUTTON({
      value: "dead"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-01.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "fire"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20119.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "dying"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-13.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "hell-yeah"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20109.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "what"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20112.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "pirate"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-24.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "love"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-58.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "tounge"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-86.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "oh-no"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-93.svg"
    }), "\n        "), "\n        ", HTML.BUTTON({
      value: "what-the-hell"
    }, "\n          ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-96.svg"
    }), "\n        "), "\n      " ];
  }), "\n    ");
}));

Template.__checkName("_reactionToMessage");
Template["_reactionToMessage"] = new Template("Template._reactionToMessage", (function() {
  var view = this;
  return HTML.DIV({
    class: "emoji-layer"
  }, "\n    ", Spacebars.include(view.lookupTemplate("ionPopover"), function() {
    return [ "\n      ", HTML.BUTTON({
      value: "dead"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-01.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "fire"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20119.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "dying"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-13.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "hell-yeah"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20109.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "what"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack_Artboard%20112.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "pirate"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-24.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "love"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-58.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "tounge"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-86.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "oh-no"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-93.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "what-the-hell"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/emoji/Full-Color/Emoji-Party-Pack-96.svg"
    }), "\n      "), "\n      ", HTML.BUTTON({
      value: "none"
    }, "\n        ", HTML.IMG({
      class: "preview",
      src: "/close-white.svg"
    }), "\n      "), "\n    " ];
  }), "\n  ");
}));

Template.__checkName("messageReactions");
Template["messageReactions"] = new Template("Template.messageReactions", (function() {
  var view = this;
  return HTML.DIV({
    class: "reaction-row",
    align: "right"
  }, "\n    ", HTML.P("\n    ", Blaze.Each(function() {
    return Spacebars.call(view.lookup("reactionCount"));
  }, function() {
    return [ "\n      ", HTML.IMG({
      class: "icon-small",
      src: function() {
        return Spacebars.mustache(view.lookup("emojiIconSrc"), view.lookup("reactionName"));
      }
    }), "\n      ", HTML.STRONG({
      class: "reaction-count"
    }, Blaze.View("lookup:count", function() {
      return Spacebars.mustache(view.lookup("count"));
    })), "\n    " ];
  }), "\n    "), "\n  ");
}));

}).call(this);
