(function(){
Template.__checkName("friends");
Template["friends"] = new Template("Template.friends", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n  ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n    " ];
      }, function() {
        return [ "\n      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n    " ];
      }), "\n  "), " \n" ];
    });
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Find Friends"), "\n " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\n\t\t", HTML.DIV({
        class: "container"
      }, "\n \t\t", HTML.DIV({
        class: "search-bar-fix"
      }, "\n    ", Blaze._TemplateWith(function() {
        return {
          index: Spacebars.call(view.lookup("UserListIndex")),
          placeholder: Spacebars.call("Friends Username...")
        };
      }, function() {
        return Spacebars.include(function() {
          return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Input"));
        });
      }), "\n\t\t"), "\n\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            index: Spacebars.call(view.lookup("UserListIndex"))
          };
        }, function() {
          return Spacebars.include(function() {
            return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Each"));
          }, function() {
            return [ "\n            ", Blaze.If(function() {
              return Spacebars.dataMustache(view.lookup("isNotMe"), view.lookup("__originalId"));
            }, function() {
              return [ "\n                ", Blaze._TemplateWith(function() {
                return {
                  buttonRight: Spacebars.call(true),
                  avatar: Spacebars.call(true)
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("ionItem"), function() {
                  return [ "\n                  ", HTML.A({
                    href: function() {
                      return Spacebars.mustache(view.lookup("pathFor"), Spacebars.kw({
                        route: "user.show",
                        _id: view.lookup("__originalId")
                      }));
                    },
                    class: "item-avatar avatar-fix"
                  }, "\n                  ", HTML.Comment(" see http://matteodem.github.io/meteor-easy-search/docs/recipes/ why you should use __originalId here "), "\n                    ", Blaze._TemplateWith(function() {
                    return {
                      userId: Spacebars.call(view.lookup("__originalId"))
                    };
                  }, function() {
                    return Spacebars.include(view.lookupTemplate("userAvatar"));
                  }), "\n                    ", Blaze.View("lookup:profile.username", function() {
                    return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
                  }), "\n                  "), "\n                  ", Spacebars.include(view.lookupTemplate("followButton")), "\n                " ];
                });
              }), "\n            " ];
            }), "\n        " ];
          });
        }), "\n      " ];
      }), "\n\n\t\t", Blaze._TemplateWith(function() {
        return {
          index: Spacebars.call(view.lookup("UserListIndex")),
          logic: Spacebars.call("OR")
        };
      }, function() {
        return Spacebars.include(function() {
          return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "IfNoResults"));
        }, function() {
          return [ "\n\t\t\t", HTML.DIV({
            class: "no-results"
          }, "No results found!"), "\n\t\t\t", HTML.A({
            href: "/inviteFriend",
            class: "newGroup"
          }, "\n\t\t    ", HTML.BUTTON({
            class: "button full",
            "data-action": "invite"
          }, "\n\t\t      ", HTML.I({
            class: "fa fa-comments-o"
          }), "\n\t\t      Want to Invite a Friend?\n\t\t    "), "\n    \t"), "\n\t\t" ];
        });
      }), "\n\t\t\n\t\t"), "\n\t\t" ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("followButton");
Template["followButton"] = new Template("Template.followButton", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("alreadyFollower"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      disabled: "true",
      id: "join-toggle",
      class: "button button-assertive"
    }, "Following"), "\n\n  " ];
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "follow",
      id: "join-toggle",
      class: "button button-balanced"
    }, "Follow"), "\n  " ];
  });
}));

}).call(this);
