(function(){
Template.__checkName("landing");
Template["landing"] = new Template("Template.landing", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "full-landing"
      }, "\n        ", HTML.DIV({
        id: "landing",
        class: "slider-box"
      }, "\n          ", Spacebars.include(view.lookupTemplate("ionSlideBox"), function() {
        return [ "\n            ", Blaze._TemplateWith(function() {
          return {
            class: Spacebars.call("inner-slide-box landing-bg")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionSlide"), function() {
            return [ "\n              ", HTML.H1("Watch"), "\n              ", HTML.IMG({
              class: "landing-image tv-stroke",
              src: "/watch.svg"
            }), "\n              ", HTML.P("Play While Watching. No Injury Reports or Player Lineups! "), "\n            " ];
          });
        }), "\n            ", Blaze._TemplateWith(function() {
          return {
            class: Spacebars.call("inner-slide-box landing-bg")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionSlide"), function() {
            return [ "\n              ", HTML.H1("Predict"), "\n              ", HTML.IMG({
              class: "landing-image",
              src: "/Question.png"
            }), "\n              ", HTML.P("Pickk What Happens Next!"), "\n            " ];
          });
        }), "\n            ", Blaze._TemplateWith(function() {
          return {
            class: Spacebars.call("inner-slide-box landing-bg")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionSlide"), function() {
            return [ "\n              ", HTML.H1("Brag"), "\n              ", HTML.IMG({
              class: "landing-image ten-spacing",
              height: "180",
              src: "/1st.svg"
            }), "\n              ", HTML.P({
              class: "ten-spacing"
            }, "Compete Against Your Friends, Family, and the Entire World!"), "\n            " ];
          });
        }), "\n          " ];
      }), "\n        "), "\n      "), "\n      ", Spacebars.include(view.lookupTemplate("loginBox")), "\n  " ];
    }), "\n" ];
  });
}));

Template.__checkName("loginBox");
Template["loginBox"] = new Template("Template.loginBox", (function() {
  var view = this;
  return HTML.DIV({
    class: "intro"
  }, "\n    ", HTML.DIV({
    class: "container"
  }, "\n  \t\t", HTML.Raw('<button data-action="login" class="button button-large cta">\n  \t\t\tLogin\n  \t\t</button>'), "\n  \t\t", HTML.BUTTON({
    "data-action": "register",
    class: function() {
      return [ "button button-large register cta cta-", Spacebars.mustache(view.lookup("ctaButton")) ];
    }
  }, "\n  \t\t\t", Blaze.View("lookup:registerText", function() {
    return Spacebars.mustache(view.lookup("registerText"));
  }), "\n  \t\t"), "\n    "), "\n\t");
}));

}).call(this);
