(function(){
Template.__checkName("weekFilter");
Template["weekFilter"] = new Template("Template.weekFilter", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Filter Leaderboard")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n  ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n  \t", HTML.FORM({
          id: "date"
        }, "\n\t\t\t", HTML.DIV({
          class: "item item-divider"
        }, "Date"), "\n\t\t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("dates")),
            _variable: "option"
          };
        }, function() {
          return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              o: Spacebars.call(view.lookup("option"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("radioOption"));
          }), "\n\t\t\t" ];
        }), "\n\t\t"), "\n\n\t\t", HTML.FORM({
          id: "other-filters"
        }, "\n\t\t\t", HTML.DIV({
          class: "item item-divider ten-spacing"
        }, "Common"), "\n\t\t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("options")),
            _variable: "option"
          };
        }, function() {
          return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              o: Spacebars.call(view.lookup("option"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("radioOption"));
          }), "\n\t\t\t" ];
        }), "\n\n\t    ", HTML.DIV({
          class: "item item-divider ten-spacing"
        }, "Leagues"), "\n\t    ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("groups")),
            _variable: "option"
          };
        }, function() {
          return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              o: Spacebars.call(view.lookup("option"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("radioOption"));
          }), "\n\t\t\t" ];
        }), "\n\t\t"), "\n  " ];
      }), "\n\t" ];
    });
  });
}));

Template.__checkName("radioOption");
Template["radioOption"] = new Template("Template.radioOption", (function() {
  var view = this;
  return HTML.DIV({
    class: "radio-filter"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      checked: Spacebars.call(Spacebars.dot(view.lookup("o"), "checked")),
      o: Spacebars.call(view.lookup("o")),
      value: Spacebars.call(Spacebars.dot(view.lookup("o"), "value"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionRadio"), function() {
      return [ "\n        ", Blaze.View("lookup:o.name", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("o"), "name"));
      }), "\n      " ];
    });
  }), "\n    ");
}));

}).call(this);
