(function(){
Template.__checkName("weekLeaderboard");
Template["weekLeaderboard"] = new Template("Template.weekLeaderboard", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "header";
  }, function() {
    return Spacebars.include(view.lookupTemplate("yield"));
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Week Leaderboard"), "\n " ];
    });
  }), "\n\n \t", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n     ", HTML.BUTTON({
        style: "font-size: 9px;",
        class: "button button-clear",
        "data-action": "filterLeaderboard"
      }, "\n       ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("funnel")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n     "), "\n   " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n        ", HTML.OL({
          type: "1",
          id: "leaderboard"
        }, "\n          ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("players")),
            _variable: "player"
          };
        }, function() {
          return [ "\n            ", Blaze._TemplateWith(function() {
            return {
              player: Spacebars.call(view.lookup("player"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("singlePlayerWeek"));
          }), "\n          " ];
        }), "\n        "), "\n      " ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("singlePlayerWeek");
Template["singlePlayerWeek"] = new Template("Template.singlePlayerWeek", (function() {
  var view = this;
  return HTML.DIV({
    class: function() {
      return [ "item item-avatar leaderboard-item ", Spacebars.mustache(view.lookup("following")), " ", Spacebars.mustache(view.lookup("thisUser")) ];
    }
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      userId: Spacebars.call(Spacebars.dot(view.lookup("player"), "_id"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("userAvatar"));
  }), "\n    ", HTML.LI({
    class: "list-font",
    value: function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("player"), "rank"));
    }
  }, "\n      ", HTML.SPAN({
    class: "username"
  }, Blaze.View("lookup:username", function() {
    return Spacebars.mustache(view.lookup("username"), Spacebars.dot(view.lookup("player"), "_id"));
  })), "\n      ", HTML.SPAN({
    class: "score"
  }, "\n          ", Blaze.View("lookup:player.diamonds", function() {
    return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("player"), "diamonds")));
  }), "\n      "), "\n    "), "\n  ");
}));

}).call(this);
