(function(){
Template.__checkName("_leagueRequests");
Template["_leagueRequests"] = new Template("Template._leagueRequests", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Accept Requests")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n\t\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t\t", Blaze.If(function() {
          return Spacebars.call(view.lookup("requests"));
        }, function() {
          return [ "\n\t\t\t", Blaze.Each(function() {
            return {
              _sequence: Spacebars.call(view.lookup("requestList")),
              _variable: "user"
            };
          }, function() {
            return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
              return {
                buttonRight: Spacebars.call(true),
                avatar: Spacebars.call(true)
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionItem"), function() {
                return [ "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
                  return {
                    userId: Spacebars.call(view.lookup("_id"))
                  };
                }, function() {
                  return Spacebars.include(view.lookupTemplate("userAvatar"));
                }), "\n\t\t\t\t\t", Blaze.View("lookup:profile.username", function() {
                  return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
                }), "\n\t\t\t\t\t", HTML.A({
                  class: "button",
                  "data-action": "accept"
                }, "\n\t\t        ", Blaze._TemplateWith(function() {
                  return {
                    icon: Spacebars.call("plus")
                  };
                }, function() {
                  return Spacebars.include(view.lookupTemplate("ionIcon"));
                }), "\n\t\t      "), "\n\n\t\t      ", HTML.A({
                  style: "margin-right: 50px;",
                  "data-action": "delete",
                  class: "button"
                }, "\n\t\t        ", Blaze._TemplateWith(function() {
                  return {
                    icon: Spacebars.call("ios-close")
                  };
                }, function() {
                  return Spacebars.include(view.lookupTemplate("ionIcon"));
                }), "\n\t\t      "), "\n\t\t\t\t" ];
              });
            }), "\n\t\t\t" ];
          }), "\n\t\t\t" ];
        }, function() {
          return [ "\n\t\t\t", HTML.DIV({
            class: "no-notifications"
          }, "\n\t\t\t\tNo League Membership Request\n\t\t\t"), "\n\t\t\t" ];
        }), "\n\t\t" ];
      }), "\n  " ];
    });
  });
}));

}).call(this);
