(function(){
Template.__checkName("searchUsers");
Template["searchUsers"] = new Template("Template.searchUsers", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Search Users"), "\n  " ];
    });
  }), "\n\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t", HTML.DIV({
        class: "container"
      }, "\n    \t", Spacebars.include(view.lookupTemplate("searchUsersBox")), "\n\t\t"), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("searchUsersBox");
Template["searchUsersBox"] = new Template("Template.searchUsersBox", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "search-bar-fix"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("UserListIndex")),
      placeholder: Spacebars.call("Search...")
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Input"));
    });
  }), "\n\t\t"), "\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n        ", Blaze._TemplateWith(function() {
      return {
        index: Spacebars.call(view.lookup("UserListIndex"))
      };
    }, function() {
      return Spacebars.include(function() {
        return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Each"));
      }, function() {
        return [ "\n            ", Blaze._TemplateWith(function() {
          return {
            buttonRight: Spacebars.call(true),
            avatar: Spacebars.call(true)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionItem"), function() {
            return [ "\n            ", HTML.A({
              class: "item-avatar avatar-fix",
              href: function() {
                return Spacebars.mustache(view.lookup("pathFor"), Spacebars.kw({
                  route: "user.show",
                  _id: view.lookup("__originalId")
                }));
              }
            }, "\n              ", Blaze._TemplateWith(function() {
              return {
                user: Spacebars.call(view.lookup(".")),
                alreadySubscribed: Spacebars.call(true)
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("userAvatar"));
            }), "\n              ", Blaze.View("lookup:profile.username", function() {
              return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
            }), " \n            "), "\n              ", Spacebars.include(view.lookupTemplate("inviteButton")), "\n            " ];
          });
        }), "\n        " ];
      });
    }), "\n      " ];
  }), "\n\n\t\t", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("UserListIndex")),
      logic: Spacebars.call("OR")
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "IfNoResults"));
    }, function() {
      return [ "\n\t\t\t", HTML.DIV({
        class: "no-results"
      }, "No results found!"), "\n\t\t" ];
    });
  }) ];
}));

}).call(this);
