(function(){
Template.__checkName("memberCheck");
Template["memberCheck"] = new Template("Template.memberCheck", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("alreadyFull"));
  }, function() {
    return "\n\t\talreadyFull\n\t";
  }, function() {
    return [ "\n\t\t", Blaze.If(function() {
      return Spacebars.call(view.lookup("public"));
    }, function() {
      return [ "\n\t\t\t", HTML.BUTTON({
        "data-action": "joinLeague",
        id: "join-toggle",
        class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
        style: "height: 45px;"
      }, "Join"), "\n\t\t" ];
    }), "\n\n\t\t", Blaze.If(function() {
      return Spacebars.call(view.lookup("invite"));
    }, function() {
      return [ "\n\t\t\t", Spacebars.include(view.lookupTemplate("inviteOnly")), "\n\t\t" ];
    }), "\n\t" ];
  });
}));

Template.__checkName("inviteOnly");
Template["inviteOnly"] = new Template("Template.inviteOnly", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("invited"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "joinLeague",
      id: "join-toggle",
      class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
      style: "height: 45px;"
    }, "Join"), "\n  " ];
  }, function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("requestInvite")), "\n  " ];
  });
}));

Template.__checkName("requestInvite");
Template["requestInvite"] = new Template("Template.requestInvite", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("alreadyRequested"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "requestPending",
      id: "join-toggle",
      class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
      style: "height: 45px;"
    }, "Request Pending"), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "requestInvite",
      id: "join-toggle",
      class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
      style: "height: 45px;"
    }, "Request Invite"), "\n  " ];
  });
}));

}).call(this);
