(function(){
Template.__checkName("leagueSettings");
Template["leagueSettings"] = new Template("Template.leagueSettings", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "League Settings"), "\n  " ];
    });
  }), "\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "container"
      }, "\n        ", HTML.DIV({
        id: "button-section"
      }, "\n          ", Spacebars.include(view.lookupTemplate("memberSettings")), "\n          ", Spacebars.include(view.lookupTemplate("commissionerSettings")), "\n        "), "\n      "), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("memberSettings");
Template["memberSettings"] = new Template("Template.memberSettings", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "button-card half",
    "data-action": "notifications"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-gear")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n    ", HTML.Raw('<span class="text">Notifications</span>'), "\n    ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n  "), "\n  ", Blaze.If(function() {
    return Spacebars.call(view.lookup("notCommissioner"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "leave"
    }, "\n      ", HTML.SPAN("Leave League"), "\n    "), "\n  " ];
  }) ];
}));

Template.__checkName("commissionerSettings");
Template["commissionerSettings"] = new Template("Template.commissionerSettings", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("commissioner"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "edit"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-gear")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n      ", HTML.SPAN({
      class: "text"
    }, "Edit Details"), "\n      ", HTML.SPAN({
      class: "arrow"
    }, Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-right")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    })), "\n    "), "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "photo"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-gear")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n      ", HTML.SPAN({
      class: "text"
    }, "Upload Photo"), "\n      ", HTML.SPAN({
      class: "arrow"
    }, Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-right")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    })), "\n    "), "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "association"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-gear")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n      ", HTML.SPAN({
      class: "text"
    }, "League Sports"), "\n      ", HTML.SPAN({
      class: "arrow"
    }, Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-right")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    })), "\n    "), "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "delete"
    }, "\n      ", HTML.STRONG("Delete League"), "\n    "), "\n  " ];
  });
}));

}).call(this);
