(function(){
Template.__checkName("searchLeagues");
Template["searchLeagues"] = new Template("Template.searchLeagues", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Search Leagues"), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n    \t", Spacebars.include(view.lookupTemplate("searchLeaguesBox")), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("searchLeaguesBox");
Template["searchLeaguesBox"] = new Template("Template.searchLeaguesBox", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "search-bar-fix"
  }, "\n  ", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("GroupsIndex")),
      attributes: Spacebars.call(view.lookup("inputAttributes"))
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Input"));
    });
  }), "\n  "), "\n  \n  ", HTML.DIV({
    class: "container"
  }, "\n    ", Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n      ", Blaze._TemplateWith(function() {
      return {
        index: Spacebars.call(view.lookup("GroupsIndex"))
      };
    }, function() {
      return Spacebars.include(function() {
        return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Each"));
      }, function() {
        return [ "\n        ", Spacebars.With(function() {
          return Spacebars.call(view.lookup("."));
        }, function() {
          return [ "\n          ", Spacebars.include(view.lookupTemplate("leagueCard")), "\n        " ];
        }), "\n      " ];
      });
    }), "\n    " ];
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("GroupsIndex")),
      logic: Spacebars.call("OR")
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "IfNoResults"));
    }, function() {
      return [ "\n\t\t", HTML.DIV({
        class: "no-results"
      }, "No results found!"), "\n\t\t", HTML.A({
        href: "/league/create"
      }, "\n\t    ", HTML.BUTTON({
        class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
        style: "height: 45px;"
      }, "\n\t      Create League\n\t    "), "\n  \t"), "\n\t" ];
    });
  }), "\n  ") ];
}));

}).call(this);
