(function(){
Template.__checkName("leagues");
Template["leagues"] = new Template("Template.leagues", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Leagues"), "\n " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.A({
        href: "/searchLeagues",
        class: "button button-clear pull-right newGroup"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("ios-search-strong")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n\t" ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t", Blaze._TemplateWith(function() {
        return {
          location: Spacebars.call("league")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("heroSection"));
      }), "\n\t\t", HTML.DIV({
        class: "container hundred-bottom"
      }, "\n\t\t", Blaze.If(function() {
        return Spacebars.call(view.templateInstance().subscriptionsReady());
      }, function() {
        return [ "\n\t\t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("userLeague")),
            _variable: "league"
          };
        }, function() {
          return [ "\n\t\t\t\t", Spacebars.With(function() {
            return Spacebars.call(view.lookup("league"));
          }, function() {
            return [ "\n\t\t\t\t\t", Spacebars.include(view.lookupTemplate("leagueCard")), "\n\t\t\t\t" ];
          }), "\n\t\t\t" ];
        }), "\n\t\t\t", Blaze.If(function() {
          return Spacebars.call(view.lookup("noLeaguesJoined"));
        }, function() {
          return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              buttonRight: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t\t", HTML.P("No Leagues :( Join a League!"), "\n\t\t\t\t\t", HTML.A({
                href: "/searchLeagues",
                "data-action": "no-league",
                class: "button"
              }, "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
                return {
                  icon: Spacebars.call("ios-plus")
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("ionIcon"));
              }), "\n\t\t\t\t\t"), "\n\t\t\t\t" ];
            });
          }), "\n\t\t\t" ];
        }), "\n\t\t" ];
      }, function() {
        return [ "\n\t\t\t", Spacebars.include(view.lookupTemplate("spinLoader")), "\n\t\t" ];
      }), "\n\t\t"), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
