(function(){
Template.__checkName("createMatchup");
Template["createMatchup"] = new Template("Template.createMatchup", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" ")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Create Matchup"), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "container ten-spacing hundred-bottom"
      }, "\n        ", Blaze._TemplateWith(function() {
        return {
          id: Spacebars.call("createMatchup"),
          route: Spacebars.call("create-matchup"),
          steps: Spacebars.call(view.lookup("steps")),
          buttonClasses: Spacebars.call("button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight"),
          backButton: Spacebars.call(false),
          confirmButton: Spacebars.call("Create Matchup!")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("wizard"));
      }), "\n      "), "\n    " ];
    }), "\n   " ];
  }) ];
}));

Template.__checkName("selectWho");
Template["selectWho"] = new Template("Template.selectWho", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("selectUsers"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", HTML.DIV({
        class: "item item-divider ten-spacing"
      }, "Who Can Join?"), "\n    ", HTML.DIV({
        id: "secret"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("secret")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    "), "\n\n    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("league"));
      }, function() {
        return [ "\n      ", Blaze._TemplateWith(function() {
          return {
            type: Spacebars.call("select-radio"),
            name: Spacebars.call("leagueId"),
            options: Spacebars.call(view.lookup("userLeagues"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("afQuickField"));
        }), "\n    " ];
      }), "\n\n    ", HTML.DIV({
        class: "item item-divider ten-spacing"
      }, "Limit"), "\n    ", Blaze._TemplateWith(function() {
        return {
          type: Spacebars.call("select-radio"),
          name: Spacebars.call("limitNum")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

Template.__checkName("matchupLength");
Template["matchupLength"] = new Template("Template.matchupLength", (function() {
  var view = this;
  return [ HTML.Raw('<div class="item item-divider ten-spacing">Length of Matchup</div>\n  '), Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("matchupLength"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("matchupLength")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  }) ];
}));

Template.__checkName("matchupGames");
Template["matchupGames"] = new Template("Template.matchupGames", (function() {
  var view = this;
  return HTML.DIV({
    class: "hundred-bottom"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("matchupGames"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("gameId"),
          data: Spacebars.call(view.lookup("dynamicFields"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n      ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n    " ];
    });
  }), "\n  ");
}));

Template.__checkName("matchupFinalDetails");
Template["matchupFinalDetails"] = new Template("Template.matchupFinalDetails", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("matchup-details"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze.Each(function() {
        return {
          _sequence: Spacebars.call(view.lookup("games")),
          _variable: "game"
        };
      }, function() {
        return [ "\n      ", Blaze._TemplateWith(function() {
          return {
            game: Spacebars.call(view.lookup("game"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("entireGameCard"));
        }), "\n      ", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("matchupLength"), "Q");
        }, function() {
          return [ "\n        ", HTML.DIV({
            class: "item item-divider ten-spacing"
          }, "Select Quarter"), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("period"),
              data: Spacebars.call(view.lookup("dynamicFields")),
              options: Spacebars.call(view.lookup("quarterOptions"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n      " ];
        }), "\n      ", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("matchupLength"), "H");
        }, function() {
          return [ "\n        ", HTML.DIV({
            class: "item item-divider ten-spacing"
          }, "Select Half"), "\n\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("period"),
              data: Spacebars.call(view.lookup("dynamicFields")),
              options: Spacebars.call(view.lookup("halfOptions"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n      " ];
        }), "\n    " ];
      }), "\n\n    ", HTML.Comment(" {{> afQuickField name='description'}} "), "\n    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("admin"));
      }, function() {
        return [ "\n      ", Blaze._TemplateWith(function() {
          return {
            name: Spacebars.call("featured")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("afQuickField"));
        }), "\n      ", Blaze._TemplateWith(function() {
          return {
            name: Spacebars.call("featured")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("afQuickField"));
        }), "\n    " ];
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

}).call(this);
