(function(){
Template.__checkName("notificationFilter");
Template["notificationFilter"] = new Template("Template.notificationFilter", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Filter Games")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("unread"));
      }, function() {
        return [ "\n\t\t\t", HTML.BUTTON({
          class: "button button-balanced col col-100",
          "data-action": "readAll"
        }, "\n\t\t\t\tMark All As Read\n\t\t\t"), "\n\t\t" ];
      }), "\n\t\t", HTML.FORM({
        id: "status",
        class: "ten-spacing"
      }, "\n\t\t\t", Blaze.Each(function() {
        return {
          _sequence: Spacebars.call(view.lookup("status")),
          _variable: "option"
        };
      }, function() {
        return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            o: Spacebars.call(view.lookup("option"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("radioOption"));
        }), "\n\t\t\t" ];
      }), "\n\t\t"), "\n\t\t", HTML.DIV({
        class: "item item-divider ten-spacing"
      }, "Type"), "\n  \t", HTML.FORM("\n\t\t", Blaze.Each(function() {
        return {
          _sequence: Spacebars.call(view.lookup("options")),
          _variable: "option"
        };
      }, function() {
        return [ "\n\t\t\t", Blaze._TemplateWith(function() {
          return {
            o: Spacebars.call(view.lookup("option"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("notificationOption"));
        }), "\n\t\t" ];
      }), "\n\t\t"), "\n\t" ];
    });
  });
}));

Template.__checkName("notificationOption");
Template["notificationOption"] = new Template("Template.notificationOption", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("item-text-wrap item-checkbox notification-checkbox")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionItem"), function() {
      return [ "\n    ", HTML.LABEL({
        class: "checkbox"
      }, "\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("alreadySelected"));
      }, function() {
        return [ "\n\t\t\t\t", HTML.INPUT({
          type: "checkbox",
          checked: "",
          style: "float: left;"
        }), "\n\t\t\t" ];
      }, function() {
        return [ "\n\t\t\t\t", HTML.INPUT({
          type: "checkbox",
          style: "float: left;"
        }), "\n\t\t\t" ];
      }), "\n\t\t\t", HTML.SPAN({
        class: "checkbox-text"
      }, Blaze.View("lookup:o", function() {
        return Spacebars.mustache(view.lookup("o"));
      })), "\n    "), "\n  " ];
    });
  });
}));

}).call(this);
