(function(){
Template.__checkName("notifications");
Template["notifications"] = new Template("Template.notifications", (function() {
  var view = this;
  return [ HTML.Raw("<!-- Standard Nav instead of the custom nav design -->\n\t"), Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Notifications"), "\n  " ];
    });
  }), HTML.Raw("\n\n<!-- \tFilter notifications by type.     -->\n\t"), Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        style: "font-size: 11px;",
        class: "button button-clear",
        "data-action": "filterNotifications"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("funnel")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t\t", HTML.DIV({
        class: "container ten-spacing clear-fix filter-section"
      }, "\n\t\t\t\t", HTML.H4({
        class: "float-left ten-spacing"
      }, "Filters:"), "\n\t\t\t\t", Blaze.Each(function() {
        return {
          _sequence: Spacebars.call(view.lookup("filters")),
          _variable: "filter"
        };
      }, function() {
        return [ "\n\t\t\t\t\t", HTML.DIV({
          class: "filter-box"
        }, Blaze.View("lookup:filter", function() {
          return Spacebars.makeRaw(Spacebars.mustache(view.lookup("filter")));
        })), "\n\t\t\t\t" ];
      }), "\n\t\t\t\t", HTML.DIV({
        class: "filter-box",
        "data-ion-menu-toggle": "right"
      }, "\n\t\t\t\t\tView All\n\t\t\t\t\t", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("chevron-right")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n\t\t\t\t"), "\n\t\t\t"), "\n\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.templateInstance().subscriptionsReady());
      }, function() {
        return [ "\n\t\t\t\t", Blaze.If(function() {
          return Spacebars.call(view.lookup("noNotifications"));
        }, function() {
          return [ "\n\t\t\t\t\t", HTML.DIV({
            class: "no-notifications"
          }, "\n\t\t\t\t\t\tNo Unread Notifications\n\t\t\t\t\t"), "\n\t\t\t\t\t", HTML.DIV({
            class: "container hundred-bottom"
          }, "\n\t\t\t\t\t\t", HTML.STRONG("Pro Tip:"), "\n\t\t\t\t\t\t", HTML.SPAN("Select Which Notifications You Want to See By Clicking the ", Blaze._TemplateWith(function() {
            return {
              icon: Spacebars.call("funnel")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionIcon"));
          }), " Button Above."), "\n\t\t\t\t\t"), "\n\t\t\t\t" ];
        }), "\n\t\t\t\t", HTML.DIV({
          class: "ten-spacing hundred-bottom"
        }, "\n\t\t\t\t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("notifications")),
            _variable: "note"
          };
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              note: Spacebars.call(view.lookup("note"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("notification"));
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t"), "\n\t\t\t" ];
      }, function() {
        return [ "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("spinLoader")), "\n\t\t\t" ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("notification");
Template["notification"] = new Template("Template.notification", (function() {
  var view = this;
  return [ Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "league");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item item-avatar item-button-right ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("leagueNotification")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "mention");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item item-avatar ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("chatNotification")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "follower");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item item-avatar ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("newFollower")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "coins");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item notification-has-image ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("coinsNotification")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "diamonds");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item notification-has-image ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("diamondNotification")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "leaderboard");
  }, function() {
    return [ "\n\t\t", Spacebars.include(view.lookupTemplate("leaderboardNotification")), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "badge");
  }, function() {
    return [ "\n\t\t", Spacebars.include(view.lookupTemplate("badgeNotification")), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "trophy");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item notification-has-image ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("trophyNotification")), "\n\t\t"), "\n\t" ];
  }), HTML.Raw('\n\n\t<!-- {{#if notif "matchupInvite"}}\n\t\t{{> matchupInvite}}\n\t{{/if}} -->\n\n\t'), Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "matchup");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item item-avatar item-button-right ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("matchupNotification")), "\n\t\t"), "\n\t" ];
  }), "\n\n\t", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("notif"), "chatReaction");
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: function() {
        return [ "item item-avatar item-button-right ", Spacebars.mustache(view.lookup("new")) ];
      }
    }, "\n\t\t\t", Spacebars.include(view.lookupTemplate("chatReaction")), "\n\t\t"), "\n\t" ];
  }) ];
}));

Template.__checkName("leagueNotification");
Template["leagueNotification"] = new Template("Template.leagueNotification", (function() {
  var view = this;
  return [ Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("user"), Spacebars.dot(view.lookup("note"), "senderId"));
  }, function() {
    return [ "\n\t    ", Blaze._TemplateWith(function() {
      return {
        userId: Spacebars.call(view.lookup("_id"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("userAvatar"));
    }), "\n\t    ", HTML.H2({
      "data-action": "viewUser"
    }, Blaze.View("lookup:profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
    })), "\n\t  " ];
  }), "\n\t\t", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("leagueData"), Spacebars.dot(view.lookup("note"), "leagueId"));
  }, function() {
    return [ "\n\t\t\t", HTML.P("wants you to join ", HTML.STRONG(Blaze.View("lookup:name", function() {
      return Spacebars.mustache(view.lookup("name"));
    }))), "\n\t\t" ];
  }), HTML.Raw('\n\t\t<button data-action="viewLeague" class="button">View</button>') ];
}));

Template.__checkName("chatNotification");
Template["chatNotification"] = new Template("Template.chatNotification", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return {
      userId: Spacebars.call(Spacebars.dot(view.lookup("note"), "senderId"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("userAvatar"));
  }), "\n\t\t", HTML.H3("\n\t\t", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("user"), Spacebars.dot(view.lookup("note"), "senderId"));
  }, function() {
    return [ "\n\t\t\t@", Blaze.View("lookup:profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
    }), " Mentioned You\n\t  " ];
  }), "\n\t\t", HTML.Raw("<!-- \t  {{#with groupData note.groupId}}\n\t\t\tin <strong>{{name}}</strong>\n\t\t{{/with}} -->"), "\n\t\t"), "\n\n\t  ", HTML.P(Blaze.View("lookup:note.message", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("note"), "message"));
  })), "\n\t  ", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("reactions"), Spacebars.dot(view.lookup("note"), "messageId"));
  }, function() {
    return [ "\n\t  \t", Blaze._TemplateWith(function() {
      return {
        reactions: Spacebars.call(Spacebars.dot(view.lookup("."), "reactions"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("messageReactions"));
    }), "\n\t\t" ];
  }) ];
}));

Template.__checkName("coinsNotification");
Template["coinsNotification"] = new Template("Template.coinsNotification", (function() {
  var view = this;
  return [ HTML.Raw('<span class="notification-image">\n\t\t<div class="outer-coin">\n\t\t\t<div class="inner-coin"></div>\n\t\t</div>\n\t</span>\n\t'), HTML.H2("You earned ", Blaze.View("lookup:note.value", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("note"), "value"));
  }), " coins!"), "\n\t", HTML.P(Blaze.View("lookup:questionTitle", function() {
    return Spacebars.mustache(view.lookup("questionTitle"));
  }), " (", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("gameName"), Spacebars.dot(view.lookup("note"), "gameId"));
  }, function() {
    return [ " ", Blaze.View("lookup:name", function() {
      return Spacebars.mustache(view.lookup("name"));
    }), " " ];
  }), ")") ];
}));

Template.__checkName("diamondNotification");
Template["diamondNotification"] = new Template("Template.diamondNotification", (function() {
  var view = this;
  return [ HTML.H2(Blaze.View("lookup:note.source", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("note"), "source"));
  }), ": ", Blaze.View("lookup:note.gameName", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("note"), "gameName"));
  })), HTML.Raw('\n\t<img class="notification-image" src="/diamonds.png">\n\t'), HTML.P(Blaze.View("lookup:note.message", function() {
    return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("note"), "message")));
  })) ];
}));

Template.__checkName("newFollower");
Template["newFollower"] = new Template("Template.newFollower", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("user"), Spacebars.dot(view.lookup("note"), "senderId"));
  }, function() {
    return [ "\n\t    ", Blaze._TemplateWith(function() {
      return {
        userId: Spacebars.call(view.lookup("_id"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("userAvatar"));
    }), "\n\t   \t", HTML.H2(Blaze.View("lookup:profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
    })), "\n\t   \t", HTML.P("started following you!"), "\n\t  " ];
  });
}));

Template.__checkName("chatReaction");
Template["chatReaction"] = new Template("Template.chatReaction", (function() {
  var view = this;
  return [ HTML.IMG({
    src: function() {
      return Spacebars.mustache(view.lookup("emojiIconSrc"), Spacebars.dot(view.lookup("note"), "reaction"));
    }
  }), "\n\t\t", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("user"), Spacebars.dot(view.lookup("note"), "senderId"));
  }, function() {
    return [ "\n\t    ", HTML.H3("@", Blaze.View("lookup:profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
    }), " reacted to your chat message:"), "\n\t  " ];
  }), "\n\t  ", HTML.P(Blaze.View("lookup:note.message", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("note"), "message"));
  })), HTML.Raw('\n\t\t<button data-action="viewUser" class="button">View</button>') ];
}));

Template.__checkName("trophyNotification");
Template["trophyNotification"] = new Template("Template.trophyNotification", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("trophy"), Spacebars.dot(view.lookup("note"), "trophyId"));
  }, function() {
    return [ "\n\t\t", HTML.IMG({
      class: "notification-image",
      src: function() {
        return Spacebars.mustache(view.lookup("image"));
      }
    }), "\n\t\t", HTML.H2("You won ", Blaze.View("lookup:title", function() {
      return Spacebars.mustache(view.lookup("title"));
    }), "!"), "\n\t\t", HTML.P("Congrats on winning ", Blaze.View("lookup:title", function() {
      return Spacebars.mustache(view.lookup("title"));
    }), " in ", Blaze.View("lookup:...note.gameName", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup(".."), "note", "gameName"));
    }), "!"), "\n\t" ];
  });
}));

Template.__checkName("matchupNotification");
Template["matchupNotification"] = new Template("Template.matchupNotification", (function() {
  var view = this;
  return [ Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("user"), Spacebars.dot(view.lookup("note"), "senderId"));
  }, function() {
    return [ "\n\t    ", Blaze._TemplateWith(function() {
      return {
        userId: Spacebars.call(view.lookup("_id"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("userAvatar"));
    }), "\n\t    ", HTML.H2({
      "data-action": "viewUser"
    }, Blaze.View("lookup:profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
    })), "\n\t  " ];
  }), HTML.Raw('\n\n\t\t<p>wants you to join their matchup</p>\n\t\t<!-- {{#if status note.status}}\n\t\t\t<p>{{note.status}}\n\t\t\t{{#with groupData note.groupId}}\n\t\t\t\t<strong>{{name}}</strong>\n\t\t\t{{/with}}\n\t\t\t</p>\n\t\t{{else}}\n\t\t\t{{#with groupData note.groupId}}\n\t\t\t\t<p>wants you to join <strong>{{name}}</strong></p>\n\t\t\t{{/with}}\n\t\t{{/if}} -->\n\t\t<button data-action="viewMatchup" class="button">View</button>') ];
}));

Template.__checkName("leaderboardNotification");
Template["leaderboardNotification"] = new Template("Template.leaderboardNotification", (function() {
  var view = this;
  return "";
}));

Template.__checkName("badgeNotification");
Template["badgeNotification"] = new Template("Template.badgeNotification", (function() {
  var view = this;
  return "";
}));

Template.__checkName("notificationOptions");
Template["notificationOptions"] = new Template("Template.notificationOptions", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.call(view.lookup("options"));
  }, function() {
    return [ "\n\t\t", Blaze.If(function() {
      return Spacebars.call(view.lookup("mention"));
    }, function() {
      return [ "\n\t    ", HTML.DIV({
        class: function() {
          return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
        },
        "data-action": "reply"
      }, "\n\t      ", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("reply-icon"),
          icon: Spacebars.call("forward")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), HTML.BR(), "\n\t      Reply\n\t    "), "\n\t    ", HTML.DIV({
        class: function() {
          return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
        },
        "data-action": "react"
      }, "\n\t      ", HTML.IMG({
        class: "reply-emoji",
        src: "/emoji/Line/Emoji-Party-Pack_Line-01.svg"
      }), HTML.BR(), "\n\t      React\n\t  \t"), "\n\t  " ];
    }), "\n\t  ", Blaze.If(function() {
      return Spacebars.call(view.lookup("award"));
    }, function() {
      return [ "\n\t    ", HTML.DIV({
        class: function() {
          return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
        },
        "data-action": "share"
      }, "\n\t      ", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("reply-icon"),
          icon: Spacebars.call("forward")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), HTML.BR(), "\n\t      Share\n\t    "), "\n\t  " ];
    }), "\n\t  ", Blaze.If(function() {
      return Spacebars.call(view.lookup("group"));
    }, function() {
      return [ "\n\t\t\t", HTML.DIV({
        class: function() {
          return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
        },
        "data-action": "group"
      }, "\n\t   \t\t", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("reply-icon"),
          icon: Spacebars.call("ios-people")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n\t    \t", HTML.BR(), "\n\t    \tView Group\n\t  \t"), "\n\t  " ];
    }), "\n\t\t", Blaze.If(function() {
      return Spacebars.call(view.lookup("interaction"));
    }, function() {
      return [ "\n\t\t\t", HTML.DIV({
        class: function() {
          return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
        },
        "data-action": "user"
      }, "\n\t   \t\t", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("reply-icon"),
          icon: Spacebars.call("ios-person")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n\t    \t", HTML.BR(), "\n\t    \tView User\n\t  \t"), "\n\t\t" ];
    }), "\n\n\t\t", Blaze.If(function() {
      return Spacebars.call(view.lookup("follower"));
    }, function() {
      return [ "\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("notAlreadyFollowing"));
      }, function() {
        return [ "\n\t\t\t\t", HTML.DIV({
          class: function() {
            return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
          },
          "data-action": "follow"
        }, "\n\t   \t\t\t", Blaze._TemplateWith(function() {
          return {
            class: Spacebars.call("reply-icon"),
            icon: Spacebars.call("ios-person")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    \t\t", HTML.BR(), "\n\t    \t\tFollow\n\t  \t\t"), "\n\t  \t" ];
      }), "\n\t\t" ];
    }), "\n\n\t  ", HTML.DIV({
      class: function() {
        return [ Spacebars.mustache(view.lookup("options")), " actions-section" ];
      },
      "data-action": "read"
    }, "\n\t    ", Blaze._TemplateWith(function() {
      return {
        class: Spacebars.call("reply-icon"),
        icon: Spacebars.call("ios-close-outline")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n\t    ", HTML.BR(), "\n\t    Mark Read\n\t  "), "\n\t" ];
  });
}));

Template.__checkName("gameNotifications");
Template["gameNotifications"] = new Template("Template.gameNotifications", (function() {
  var view = this;
  return [ HTML.Raw('<div class="item item-divider">Game Notifications</div>\n\t'), Spacebars.include(view.lookupTemplate("ionItem"), function() {
    return [ "\n\t\t", Blaze.Each(function() {
      return Spacebars.call(view.lookup("question"));
    }, function() {
      return [ "\n\t\t\t", HTML.P("You guessed... ", Blaze.View("lookup:_id", function() {
        return Spacebars.mustache(view.lookup("_id"));
      })), "\n\t\t" ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("type");
Template["type"] = new Template("Template.type", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("type"), view.lookup("value"));
  }, function() {
    return [ "\n    ", Blaze._InOuterTemplateScope(view, function() {
      return Spacebars.include(function() {
        return Spacebars.call(view.templateContentBlock);
      });
    }), "\n  " ];
  }, function() {
    return [ "\n    ", Blaze._InOuterTemplateScope(view, function() {
      return Spacebars.include(function() {
        return Spacebars.call(view.templateElseBlock);
      });
    }), "\n  " ];
  });
}));

}).call(this);
