(function(){
Template.__checkName("newUser");
Template["newUser"] = new Template("Template.newUser", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t", HTML.H1({
        class: "title white-text-header",
        style: "font-size: 1.2em;"
      }, "\n\t\t", HTML.I({
        class: "fa fa-diamond"
      }), "\n    ", HTML.STRONG("0"), " \n\t\t\t\n   \t", HTML.SPAN({
        class: "coin-icon"
      }, HTML.I({
        class: "fa fa-circle"
      })), " \n    ", HTML.STRONG("10000"), "\n  "), "\n " ];
    });
  }), "\n \n\t", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t\t", HTML.DIV({
        class: "container ten-spacing onboarding-extra-space "
      }, " \n\t\t\t\t", Spacebars.include(view.lookupTemplate("playerCardExample")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("exampleOptions")), "\n\t\t\t"), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("exampleOptions");
Template["exampleOptions"] = new Template("Template.exampleOptions", (function() {
  var view = this;
  return HTML.Raw('<ul class="single-question animated fast slideInLeft ten-spacing">\n\t\t<li class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Out.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Out</span>\n\t\t\t\t<span class="multiplier">x 1.43</span>\n\t\t\t</div>\n\t\t</li>\n\t\t<li class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Walk.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Walk</span>\n\t\t\t\t<span class="multiplier">x 2.27</span>\n\t\t\t</div>\n\t\t</li>\n\t\t<li class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Single.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Single</span>\n\t\t\t\t<span class="multiplier">x 2.46</span>\n\t\t\t</div>\n\t\t</li>\n\t\t<li class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Double.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Double</span>\n\t\t\t\t<span class="multiplier">x 3.76</span>\n\t\t\t</div>\n\t\t</li>\n\t\t\n\t\t<li class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Triple.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Triple</span>\n\t\t\t\t<span class="multiplier">x 6.73</span>\n\t\t\t</div>\n\t\t</li>\n\t\t<li id="double" class="option" data-action="play-selected">\n\t\t\t<div class="option-inner">\n\t\t\t\t<span class="icon-container">\n\t\t\t\t\t<img class="baseball-call-icon" src="/baseball-calls/Home Run.svg">\n\t\t\t\t</span>\n\t\t\t\t<span class="option-title">Home Run</span>\n\t\t\t\t<span class="multiplier">x 5.21</span>\n\t\t\t</div>\n\t\t</li>\n\t</ul>\n\t<div id="wagers"></div>\n\t<div id="triple"></div>');
}));

Template.__checkName("exampleWagers");
Template["exampleWagers"] = new Template("Template.exampleWagers", (function() {
  var view = this;
  return HTML.Raw('<ul class="wagers">\n\t\t<li class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">50</div>\n\t\t</li>\n\t\t<li class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">100</div>\n\t\t</li>\n\t\t<li class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">250</div>\n\t\t</li>\n\t\t<li id="500" class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">500</div>\n\t\t</li>\n\t\t<li class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">1000</div>\n\t\t</li>\n\t\t<li class="wager" data-action="wager-selected">\n\t\t\t<div class="wager-inner">2500</div>\n\t\t</li>\n\t</ul>\n\t<div id="submit-button">\n\t\t\n\t</div>');
}));

Template.__checkName("exampleSubmit");
Template["exampleSubmit"] = new Template("Template.exampleSubmit", (function() {
  var view = this;
  return HTML.Raw('<button id="exampleSubmit" class="submit-button button button-balanced center ten-spacing" data-action="submit">Submit (2605)</button>');
}));

Template.__checkName("playerCardExample");
Template["playerCardExample"] = new Template("Template.playerCardExample", (function() {
  var view = this;
  return HTML.DIV({
    class: "player-slider"
  }, "\n  \t", HTML.DIV({
    class: "slide-inside"
  }, "\n\t\t\t", HTML.Raw('<span class="player-name">Benny Rodriguez</span>'), "\n\t\t\t", HTML.TABLE("\n\t\t\t\t", HTML.THEAD("\n\t\t\t\t\t", HTML.TD("AVG"), "\n\t\t\t\t\t", HTML.TD("HR"), "\n\t\t\t\t\t", HTML.TD("RBI"), "\n\t\t\t\t\t", HTML.TD("OBP"), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.TR("\n\t\t\t\t\t", HTML.TD(".276"), "\n\t\t\t\t\t", HTML.TD("13"), "\n\t\t\t\t\t", HTML.TD("47"), "\n\t\t\t\t\t", HTML.TD(".382"), "\n\t\t\t\t"), "\n\t\t\t"), "\n\t\t"), "\n  ");
}));

}).call(this);
