(function(){
Template.__checkName("userProfile");
Template["userProfile"] = new Template("Template.userProfile", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.dataMustache(view.lookup("notOwnProfile"), Spacebars.dot(view.lookup("user"), "_id"));
      }, function() {
        return [ "\n        ", Blaze.View("lookup:user.profile.username", function() {
          return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "profile", "username"));
        }), "\n      " ];
      }, function() {
        return "\n        Your Profile\n      ";
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\n      ", HTML.DIV({
        class: "col-md-33 float-left profile-image"
      }, "\n        ", Blaze._TemplateWith(function() {
        return {
          userId: Spacebars.call(Spacebars.dot(view.lookup("user"), "_id"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("userAvatar"));
      }), "\n      "), "\n      ", HTML.DIV({
        class: "float-left"
      }, "\n        ", HTML.H4(Blaze.View("lookup:user.profile.username", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "profile", "username"));
      })), "\n        ", Blaze.View("lookup:user.profile.following.length", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "profile", "following", "length"));
      }), " Following\n        ", Blaze.View("lookup:user.profile.followers.length", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "profile", "followers", "length"));
      }), " Followers\n      "), "\n\n      ", Blaze.If(function() {
        return Spacebars.dataMustache(view.lookup("notOwnProfile"), Spacebars.dot(view.lookup("user"), "_id"));
      }, function() {
        return [ "\n        ", Spacebars.include(view.lookupTemplate("followerCheck")), "\n      " ];
      }), "\n      ", HTML.DIV({
        class: "clear-fix"
      }), "\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n      ", HTML.DIV({
          class: "item item-divider"
        }, "Stats"), "\n        ", Spacebars.include(view.lookupTemplate("ionItem"), function() {
          return [ "\n          Total Diamonds: ", Blaze.View("lookup:totalDiamonds", function() {
            return Spacebars.mustache(view.lookup("totalDiamonds"));
          }), "\n        " ];
        }), "\n        ", Spacebars.include(view.lookupTemplate("ionItem"), function() {
          return [ "\n          Total Coins: ", Blaze.View("lookup:totalCoins", function() {
            return Spacebars.mustache(view.lookup("totalCoins"));
          }), "\n        " ];
        }), "\n        ", HTML.Comment(" {{#ionItem}}\n          Total Questions Answered: {{totalQue}}\n        {{/ionItem}} "), "\n        ", HTML.DIV({
          class: "item item-divider"
        }, "Trophies"), "\n        ", HTML.UL({
          class: "trophy-list item"
        }, "\n          ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("trophies")),
            _variable: "trophy"
          };
        }, function() {
          return [ "\n            ", HTML.LI({
            class: "trophy-image"
          }, "\n              ", Blaze._TemplateWith(function() {
            return {
              t: Spacebars.call(view.lookup("trophy"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("displayTrophy"));
          }), "\n            "), "\n          " ];
        }), "\n        "), "\n\n        ", HTML.Comment(' <div class="item item-divider">Badges</div> '), "\n\n", HTML.Comment('         <div class="item item-divider">Groups</div>\n        {{#each group in groups}}\n          {{> displayGroup g=group}}\n        {{/each}} '), "\n      " ];
      }), "\n\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("displayTrophy");
Template["displayTrophy"] = new Template("Template.displayTrophy", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("trophy"), view.lookup("t"));
  }, function() {
    return [ "\n    ", HTML.IMG({
      src: function() {
        return Spacebars.mustache(view.lookup("image"));
      }
    }), "\n  " ];
  });
}));

Template.__checkName("displayGroup");
Template["displayGroup"] = new Template("Template.displayGroup", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("group"), view.lookup("g"));
  }, function() {
    return [ "\n    ", Blaze._TemplateWith(function() {
      return {
        path: Spacebars.call("league.show"),
        avatar: Spacebars.call(true)
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionItem"), function() {
        return [ "\n      ", Spacebars.include(view.lookupTemplate("groupAvatar")), "\n      ", Blaze.View("lookup:name", function() {
          return Spacebars.mustache(view.lookup("name"));
        }), "\n    " ];
      });
    }), "\n  " ];
  });
}));

Template.__checkName("followerCheck");
Template["followerCheck"] = new Template("Template.followerCheck", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("alreadyFollower"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "unfollowUser",
      id: "join-toggle",
      class: "button button-assertive col col-100"
    }, "Unfollow"), "\n\n  " ];
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "followUser",
      id: "join-toggle",
      class: "button button-balanced col col-100"
    }, "Follow"), "\n  " ];
  });
}));

}).call(this);
