(function(){
Template.__checkName("waitingForNextPlay");
Template["waitingForNextPlay"] = new Template("Template.waitingForNextPlay", (function() {
  var view = this;
  return HTML.DIV({
    id: "waiting-for-play",
    class: "animated fast fadeInUp hundred-bottom"
  }, HTML.Raw('\n\t\t<div id="ratingBox"></div>\n\n\t\t'), Spacebars.include(view.lookupTemplate("inviteToPlay")), "\n\n\t\t", Blaze._TemplateWith(function() {
    return {
      gameId: Spacebars.call(Spacebars.dot(view.lookup("."), "game", "_id")),
      number: Spacebars.call(3)
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("historyCardList"));
  }), HTML.Raw("\n\t\t<br>\n\t\t"), Blaze._TemplateWith(function() {
    return {
      data: Spacebars.call(view.lookup("data"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("_leaderboardCard"));
  }), "\n\n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("drive"));
  }, function() {
    return [ "\n\t\t\t", HTML.BUTTON({
      class: "button col-md-100 ten-spacing daily-pickk-cta",
      style: "height: 45px; margin-bottom: 10px;",
      "data-action": "switchToLive"
    }, "\n\t\t\t\tSwitch to Live (Play by Play)\n\t\t\t"), "\n\t\t" ];
  }), "\n\t");
}));

Template.__checkName("ratingPrompt");
Template["ratingPrompt"] = new Template("Template.ratingPrompt", (function() {
  var view = this;
  return HTML.DIV({
    id: function() {
      return Spacebars.mustache(view.lookup("id"));
    },
    class: "animated fast slideInLeft"
  }, "\n    ", HTML.H4({
    class: "center-text"
  }, Blaze.View("lookup:title", function() {
    return Spacebars.mustache(view.lookup("title"));
  })), "\n    ", HTML.BUTTON({
    class: "white-outline",
    "data-action": function() {
      return Spacebars.mustache(view.lookup("noAction"));
    }
  }, Blaze.View("lookup:noText", function() {
    return Spacebars.mustache(view.lookup("noText"));
  })), "\n    ", HTML.BUTTON({
    class: "yes-prompt",
    "data-action": function() {
      return Spacebars.mustache(view.lookup("yesAction"));
    }
  }, Blaze.View("lookup:yesText", function() {
    return Spacebars.mustache(view.lookup("yesText"));
  })), "\n  ");
}));

}).call(this);
