(function(){
Template.__checkName("notificationCenter");
Template["notificationCenter"] = new Template("Template.notificationCenter", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("active"));
  }, function() {
    return [ "\n\t", HTML.DIV({
      id: "notification-center",
      class: "animated fadeInLeft"
    }, "\n\t\t", HTML.DIV({
      class: "single-notification complete-game-card "
    }, "\n\t\t\t", Blaze._TemplateWith(function() {
      return {
        game: Spacebars.call(view.lookup("game"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("singleGameCard"));
    }), "\n\t\t"), "\n\t\t", Blaze.If(function() {
      return Spacebars.dataMustache(view.lookup("sport"), "NFL");
    }, function() {
      return [ "\n\t\t\t", Spacebars.include(view.lookupTemplate("footballInfoCard")), "\n\t\t" ];
    }), "\n\t\t", HTML.Comment(' {{#if sport "MLB"}}\n\t\t\t{{> baseballInfoCard}}\n\t\t{{/if}} '), "\n\t"), "\n\t" ];
  });
}));

Template.__checkName("footballInfoCard");
Template["footballInfoCard"] = new Template("Template.footballInfoCard", (function() {
  var view = this;
  return HTML.DIV({
    class: "single-notification complete-game-card info-card"
  }, "\n\t\t", HTML.DIV({
    class: "football-inner"
  }, "\n\t\t\t", HTML.DIV({
    class: "down"
  }, "\n\t\t\t\t", HTML.Raw('<span class="title">Down</span>'), "\n\t\t\t\t", HTML.SPAN({
    class: "detail"
  }, Blaze.View("lookup:downAndDistance", function() {
    return Spacebars.mustache(view.lookup("downAndDistance"));
  })), "\n\t\t\t"), "\n\t\t\t", HTML.Raw('<div class="vertical-divider"></div>'), "\n\t\t\t", HTML.DIV({
    class: "location"
  }, "\n\t\t\t\t", HTML.Raw('<span class="title">Location</span>'), "\n\t\t\t\t", HTML.SPAN({
    class: "detail"
  }, Blaze.View("lookup:location", function() {
    return Spacebars.mustache(view.lookup("location"));
  })), "\n\t\t\t"), "\n\t\t\t", HTML.Raw('<div class="vertical-divider"></div>'), "\n\t\t\t", HTML.DIV({
    class: "time"
  }, "\n\t\t\t\t", HTML.SPAN({
    class: "title"
  }, Blaze.View("lookup:quarter", function() {
    return Spacebars.mustache(view.lookup("quarter"));
  })), "\n\t\t\t\t", HTML.SPAN({
    class: "detail"
  }, Blaze.View("lookup:time", function() {
    return Spacebars.mustache(view.lookup("time"));
  })), "\n\t\t\t"), "\n\t\t"), "\n\t\t", HTML.DIV({
    class: "football-field"
  }, "\n\t\t\t", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("team"), 0);
  }, function() {
    return [ "\n\t\t\t\t", HTML.DIV({
      class: "endzone team-colors team-text",
      style: function() {
        return [ "background-color: ", Spacebars.mustache(view.lookup("hexColor")) ];
      }
    }, Blaze.View("lookup:shortCode", function() {
      return Spacebars.mustache(view.lookup("shortCode"));
    })), "\n\t\t\t" ];
  }), "\n\t\t\t", HTML.DIV({
    class: "field"
  }, "\n\t\t\t\t", HTML.DIV({
    class: "distance-marker marker",
    style: function() {
      return [ "margin-left: ", Spacebars.mustache(view.lookup("ballLocation")) ];
    }
  }), "\n\t\t\t\t", HTML.DIV({
    class: "down-marker marker",
    style: function() {
      return [ "margin-left: ", Spacebars.mustache(view.lookup("yardsToGo")), ";" ];
    }
  }), "\n\t\t\t"), "\n\t\t\t", Spacebars.With(function() {
    return Spacebars.dataMustache(view.lookup("team"), 1);
  }, function() {
    return [ "\n\t\t\t\t", HTML.DIV({
      class: "endzone team-colors team-text",
      style: function() {
        return [ "background-color: ", Spacebars.mustache(view.lookup("hexColor")) ];
      }
    }, Blaze.View("lookup:shortCode", function() {
      return Spacebars.mustache(view.lookup("shortCode"));
    })), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("baseballInfoCard");
Template["baseballInfoCard"] = new Template("Template.baseballInfoCard", (function() {
  var view = this;
  return HTML.Raw('<div class="single-notification complete-game-card info-card">\n\t\t<!-- <h1>Player Name</h1> -->\n\t</div>');
}));

}).call(this);
