(function(){
Template.__checkName("gameTypePrompt");
Template["gameTypePrompt"] = new Template("Template.gameTypePrompt", (function() {
  var view = this;
  return Spacebars.With(function() {
    return Spacebars.call(view.lookup("sportIs"));
  }, function() {
    return [ "\n\t\t", Blaze._TemplateWith(function() {
      return Spacebars.call(view.lookup("."));
    }, function() {
      return Spacebars.include(view.lookupTemplate("gameTypeChoice"));
    }), "\n\t" ];
  });
}));

Template.__checkName("gameTypeChoice");
Template["gameTypeChoice"] = new Template("Template.gameTypeChoice", (function() {
  var view = this;
  return [ HTML.H2({
    class: "special-header live-question-text text-center"
  }, Blaze.View("lookup:title", function() {
    return Spacebars.mustache(view.lookup("title"));
  })), "\n\t", HTML.H3({
    class: "special-header live-question-text text-center"
  }, Blaze.View("lookup:subTitle", function() {
    return Spacebars.mustache(view.lookup("subTitle"));
  })), "\n\t", HTML.DIV({
    style: "margin-top: 30px;"
  }, "\n\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.call(view.lookup("options")),
      _variable: "option"
    };
  }, function() {
    return [ "\n\t\t\t", HTML.A({
      class: function() {
        return [ "special-header ", Spacebars.mustache(view.lookup("numberOfOptions"), view.lookup("options")), " prompt-option ", Spacebars.mustache(view.lookup("alert"), Spacebars.dot(view.lookup("option"), "featured")), " text-center type-option" ];
      },
      style: function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("option"), "style"));
      },
      "data-action": "joinGame",
      "data-value": function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("option"), "gameType"));
      }
    }, "\n\t\t\t\t", HTML.DIV({
      class: "special-header center game-prompt-icon"
    }, Blaze.View("lookup:option.icon", function() {
      return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("option"), "icon")));
    })), "\n\t\t\t\t", HTML.H2({
      class: "special-header"
    }, Blaze.View("lookup:option.title", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("option"), "title"));
    })), "\n\t\t\t\t", HTML.H4({
      class: " special-header"
    }, Blaze.View("lookup:option.desc", function() {
      return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("option"), "desc")));
    })), "\n\t\t\t"), "\n\t\t" ];
  }), "\n\t"), "\n\t", HTML.DIV({
    class: "col-md-100 ten-spacing text-center join-game-description"
  }, Blaze.View("lookup:desc", function() {
    return Spacebars.mustache(view.lookup("desc"));
  })) ];
}));

}).call(this);
