(function(){
Template.__checkName("singleGame");
Template["singleGame"] = new Template("Template.singleGame", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t  ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n\t    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }), "\n\t  "), "\n\t" ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t", Spacebars.include(view.lookupTemplate("singleGameAwards")), "\n\t" ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        style: "font-size: 13px;",
        class: "button button-clear",
        "data-ion-menu-toggle": "right"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("ios-chatboxes")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.templateInstance().subscriptionsReady());
      }, function() {
        return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            game: Spacebars.call(view.lookup("game")),
            border: Spacebars.call(false)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("singleGameInfo"));
        }), "\n\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            game: Spacebars.call(view.lookup("game"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("notificationCenter"));
        }), "\n\n\t\t\t\t", HTML.DIV({
          class: "container ten-spacing"
        }, "\n\t\t\t\t\t", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("status"), 1);
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("game"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("preGame"));
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t\t", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("status"), 2);
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("game"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("activeGame"));
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t\t", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("status"), 4);
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("game"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("postGame"));
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t"), "\n\t\t\t\t\n\t\t\t\t", HTML.Comment(" {{> inviteToPlay}} "), "\n\t\t\t\t", Blaze.View("lookup:scoreMessage", function() {
          return Spacebars.mustache(view.lookup("scoreMessage"));
        }), "\n\t\t\t" ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
