(function(){
Template.__checkName("singleGameAdmin");
Template["singleGameAdmin"] = new Template("Template.singleGameAdmin", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t", HTML.H1({
        class: "title white-text-header"
      }, "Single Game"), "\n\t" ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t", HTML.BUTTON({
        "data-action": "gameEdit",
        class: "button button-clear pull-right"
      }, "\n\t    ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("gear-a")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n\t  "), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n \t\t", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n \t\t\t", HTML.DIV({
        class: "container ten-spacing"
      }, "\n \t\t\t\t", Spacebars.With(function() {
        return Spacebars.call(view.lookup("game"));
      }, function() {
        return [ "\n\t \t\t\t\t", Blaze._TemplateWith(function() {
          return {
            game: Spacebars.call(view.lookup(".")),
            border: Spacebars.call(true)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("singleGameInfo"));
        }), "\n\t\t      ", Blaze._TemplateWith(function() {
          return {
            game: Spacebars.call(view.lookup("."))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("singleGameCard"));
        }), "\n\t\t\t\t" ];
      }), "\n\n\t\t\t\t", Spacebars.include(view.lookupTemplate("otherQuestions")), "\n\t\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("football"));
      }, function() {
        return [ "\n\t\t\t\t\t", Spacebars.include(view.lookupTemplate("createQuestion")), "\n\t\t\t\t" ];
      }), "\n", HTML.Comment('         {{#if nba}}\n          <div class="panel ten-spacing">\n            {{> _propQuestion}}\n          </div>\n        {{/if}} '), "\n        Current Batter: ", Blaze.View("lookup:currentBatter", function() {
        return Spacebars.mustache(view.lookup("currentBatter"));
      }), " ", HTML.BR(), "\n    \t\tUp Next: ", Blaze.View("lookup:upNext", function() {
        return Spacebars.mustache(view.lookup("upNext"));
      }), "\n\t\t\t\t", HTML.H2(Blaze.View("lookup:quarter", function() {
        return Spacebars.makeRaw(Spacebars.mustache(view.lookup("quarter")));
      })), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("futureQuestions")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("activeQuestions")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("pendingQuestions")), "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("oldQuestions")), "\n\t\t\t"), "\n\t\t" ];
    }), "\n\t" ];
  }) ];
}));

Template.__checkName("otherQuestions");
Template["otherQuestions"] = new Template("Template.otherQuestions", (function() {
  var view = this;
  return HTML.DIV({
    class: "panel ten-spacing"
  }, "\n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("commercial"));
  }, function() {
    return [ "\n\t\t\t", HTML.BUTTON({
      class: "col-md-50 button button-assertive float-left",
      "data-action": "endCommercialBreak"
    }, "\n\t\t\t\tCommercial: ", HTML.STRONG("ON"), "\n\t\t\t"), "\n\t\t" ];
  }, function() {
    return [ "\n\t\t\t", HTML.BUTTON({
      class: "col-md-50 button button-balanced float-left",
      "data-action": "startCommercialBreak"
    }, "\n\t\t\t\tCommercial: ", HTML.STRONG("OFF"), "\n\t\t\t"), "\n\t\t" ];
  }), HTML.Raw('\n\n\t\t<button class="col-md-50 button button-dark float-left" data-ion-modal="_gameScoreModal">\n\t\t\tChange Score\n\t\t</button>\n\n\t\t<button class="col-md-33 button button-dark float-left" data-ion-modal="_situationalModal">\n\t\t\tSituational\n\t\t</button>\n\n\t\t<button class="col-md-33 button button-royal float-left" data-action="thisDrive">\n\t\t\tDrive\n\t\t</button>\n\n\t\t<button class="col-md-33 button button-calm float-left" data-ion-modal="_propQuestion">\n\t\t\tProp Que\n\t\t</button>\n\t'));
}));

Template.__checkName("futureQuestions");
Template["futureQuestions"] = new Template("Template.futureQuestions", (function() {
  var view = this;
  return HTML.DIV({
    class: "panel"
  }, HTML.Raw("\n\t\t<h3>Future Questions</h3>\n\t\t"), HTML.UL({
    class: "active-questions"
  }, "\n\t\t\t", Blaze.Each(function() {
    return Spacebars.call(view.lookup("questions"));
  }, function() {
    return [ "\n\t\t\t\t", HTML.LI({
      id: function() {
        return Spacebars.mustache(view.lookup("_id"));
      }
    }, "\n\t\t\t\t\t", HTML.DIV({
      class: "col-md-70 activate-questions-inner float-left"
    }, "\n\t\t\t\t\t\t[", Blaze.View("lookup:..type", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("."), "type"));
    }), "] ", Blaze.View("lookup:que", function() {
      return Spacebars.mustache(view.lookup("que"));
    }), "\n\t\t\t\t\t"), "\n\t\t\t\t\t", HTML.BUTTON({
      "data-action": "edit",
      class: "button button-stable col-md-10"
    }, "\n\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("edit")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n\t\t\t\t\t"), "\n\t\t\t\t\t", HTML.BUTTON({
      "data-action": "activate",
      class: "active-button col-md-20 button button-balanced"
    }, "\n\t\t\t\t\t\tActivate\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("activeQuestions");
Template["activeQuestions"] = new Template("Template.activeQuestions", (function() {
  var view = this;
  return HTML.DIV({
    class: "panel"
  }, HTML.Raw("\n\t\t<h3>Active Questions</h3>\n\t\t"), HTML.UL({
    class: "active-questions"
  }, "\n\t\t\t", Blaze.Each(function() {
    return Spacebars.call(view.lookup("questions"));
  }, function() {
    return [ "\n\t\t\t\t", HTML.LI({
      id: function() {
        return Spacebars.mustache(view.lookup("_id"));
      }
    }, "\n\t\t\t\t\t", HTML.DIV({
      class: "col-md-70 activate-questions-inner float-left"
    }, "\n\t\t\t\t\t\t[", Blaze.View("lookup:..type", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("."), "type"));
    }), "] ", Blaze.View("lookup:que", function() {
      return Spacebars.mustache(view.lookup("que"));
    }), "\n\t\t\t\t\t"), "\n\t\t\t\t\t", HTML.BUTTON({
      "data-action": "edit",
      class: "button button-stable col-md-10"
    }, "\n\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("edit")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    }), "\n\t\t\t\t\t"), "\n\t\t\t\t\t", HTML.BUTTON({
      "data-action": "deactivate",
      class: "active-button col-md-20 button button-balanced"
    }, "\n\t\t\t\t\t\tDeactivate\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("pendingQuestions");
Template["pendingQuestions"] = new Template("Template.pendingQuestions", (function() {
  var view = this;
  return HTML.DIV({
    class: "panel"
  }, HTML.Raw("\n\t\t<h3>Pending Questions</h3>\n\t\t"), HTML.UL({
    class: "pending-questions"
  }, "\n\t\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.call(view.lookup("questions")),
      _variable: "q"
    };
  }, function() {
    return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        q: Spacebars.call(view.lookup("q"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("pendingQuestion"));
    }), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("pendingQuestion");
Template["pendingQuestion"] = new Template("Template.pendingQuestion", (function() {
  var view = this;
  return HTML.LI({
    class: "clear-fix old"
  }, "\n\t\t", HTML.H4({
    class: "float-left col-md-80 padding-20"
  }, "\n\t\t\t", Blaze.View("lookup:q.que", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("q"), "que"));
  }), "\n\t\t"), "\n\t\t", HTML.DIV({
    class: "float-right col-md-20 padding-20"
  }, "\n\t\t\t", HTML.BUTTON({
    "data-action": "edit",
    class: "col-md-33 pending-options button button-stable"
  }, "\n\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("edit")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n\t\t\t"), "\n\t\t\t", HTML.BUTTON({
    "data-action": "removeQuestion",
    class: "col-md-33 pending-options button button-assertive"
  }, "\n\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("close-circled")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n\t\t\t"), "\n\t\t\t", HTML.BUTTON({
    "data-action": "reactivate",
    class: "col-md-33 pending-options button button-balanced"
  }, "\n\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("checkmark-circled")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n\t\t\t"), "\n\t\t"), "\n\n\t\t", HTML.DIV({
    class: "clear-fix"
  }, "\n\t\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.dataMustache(view.lookup("options"), view.lookup("q")),
      _variable: "o"
    };
  }, function() {
    return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        o: Spacebars.call(view.lookup("o")),
        q: Spacebars.call(view.lookup("q"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("selectOption"));
    }), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("oldQuestions");
Template["oldQuestions"] = new Template("Template.oldQuestions", (function() {
  var view = this;
  return HTML.DIV({
    class: "panel"
  }, HTML.Raw("\n\t\t<h3>Old Questions</h3>\n\t\t"), HTML.UL({
    class: "pending-questions"
  }, "\n\t\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.call(view.lookup("questions")),
      _variable: "q"
    };
  }, function() {
    return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        q: Spacebars.call(view.lookup("q"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("oldQuestion"));
    }), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("oldQuestion");
Template["oldQuestion"] = new Template("Template.oldQuestion", (function() {
  var view = this;
  return HTML.LI({
    class: "clear-fix old"
  }, "\n\t\t", HTML.H4({
    class: "float-left col-md-80"
  }, "\n\t\t\t", Blaze.View("lookup:q.que", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("q"), "que"));
  }), " -- ", Blaze.View("lookup:q.outcome", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("q"), "outcome"));
  }), "\n\t\t"), "\n\t\t", HTML.DIV({
    class: "float-right col-md-20 padding-20"
  }, "\n\t\t\t", HTML.BUTTON({
    "data-action": "removeQuestion",
    class: "col-md-50 pending-options button button-assertive"
  }, "\n\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("close-circled")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n\t\t\t"), "\n\t\t\t", HTML.BUTTON({
    "data-action": "reactivate",
    class: "col-md-50 pending-options button button-balanced"
  }, "\n\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("checkmark-circled")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n\t\t\t"), "\n\t\t"), "\n\n\t\t", HTML.DIV({
    class: "clear-fix"
  }, "\n\t\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.dataMustache(view.lookup("options"), view.lookup("q")),
      _variable: "o"
    };
  }, function() {
    return [ "\n\t\t\t\t", Blaze._TemplateWith(function() {
      return {
        o: Spacebars.call(view.lookup("o")),
        q: Spacebars.call(view.lookup("q"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("selectOption"));
    }), "\n\t\t\t" ];
  }), "\n\t\t"), "\n\t");
}));

Template.__checkName("selectOption");
Template["selectOption"] = new Template("Template.selectOption", (function() {
  var view = this;
  return HTML.BUTTON({
    "data-action": "playSelection",
    class: "button col-md-50",
    value: function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("o"), "option"));
    }
  }, "\n\t\t", Blaze.View("lookup:o.title", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("o"), "title"));
  }), "\n\t");
}));

}).call(this);
