(function(){
Template.__checkName("dailyPickks");
Template["dailyPickks"] = new Template("Template.dailyPickks", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Daily Pickks"), "\n  " ];
    });
  }), "\n\n\t", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "container ten-spacing"
      }, "\n        ", Blaze.If(function() {
        return Spacebars.call(view.lookup("questionsExist"));
      }, function() {
        return [ "\n      \t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("dailyPickks")),
            _variable: "question"
          };
        }, function() {
          return [ "\n            ", Blaze._TemplateWith(function() {
            return {
              q: Spacebars.call(view.lookup("question"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("dailyQuestion"));
          }), "\n      \t\t" ];
        }), "\n        " ];
      }, function() {
        return [ "\n          ", HTML.DIV({
          class: "no-notifications"
        }, "\n            0 Active Daily Pickks\n          "), "\n        " ];
      }), "\n      "), "\n    ", Blaze.View("lookup:scoreMessage", function() {
        return Spacebars.mustache(view.lookup("scoreMessage"));
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
