(function(){
Template.__checkName("gameInProgressInfo");
Template["gameInProgressInfo"] = new Template("Template.gameInProgressInfo", (function() {
  var view = this;
  return HTML.DIV({
    class: function() {
      return [ "single-game-shared single-game-info ", Spacebars.mustache(view.lookup("border")) ];
    }
  }, "\n    ", HTML.DIV({
    class: "col-md-25 single-game-section"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      inning: Spacebars.call(Spacebars.dot(view.lookup("game"), "eventStatus", "inning")),
      data: Spacebars.call(Spacebars.dot(view.lookup("game"), "eventStatus", "inningDivision"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("inningDisplay"));
  }), "\n    "), "\n    ", HTML.DIV({
    class: "col-md-25 single-game-section"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      number: Spacebars.call(Spacebars.dot(view.lookup("game"), "eventStatus", "outs"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("outDisplay"));
  }), "\n    "), "\n    ", HTML.DIV({
    class: "col-md-25 single-game-section"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      base: Spacebars.call(Spacebars.dot(view.lookup("game"), "eventStatus", "runnersOnBase"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("playersOnBase"));
  }), "\n    "), "\n    ", HTML.DIV({
    class: "col-md-25 single-game-section"
  }, "\n      ", Spacebars.With(function() {
    return Spacebars.call(Spacebars.dot(view.lookup("game"), "eventStatus"));
  }, function() {
    return [ "\n        ", HTML.SPAN({
      class: "inning"
    }, Blaze.View("lookup:balls", function() {
      return Spacebars.mustache(view.lookup("balls"));
    }), " - ", Blaze.View("lookup:strikes", function() {
      return Spacebars.mustache(view.lookup("strikes"));
    })), "\n      " ];
  }), "\n    "), "\n  ");
}));

Template.__checkName("outDisplay");
Template["outDisplay"] = new Template("Template.outDisplay", (function() {
  var view = this;
  return Blaze.View("lookup:outsCount", function() {
    return Spacebars.makeRaw(Spacebars.mustache(view.lookup("outsCount"), view.lookup("number")));
  });
}));

Template.__checkName("inningDisplay");
Template["inningDisplay"] = new Template("Template.inningDisplay", (function() {
  var view = this;
  return [ HTML.SPAN({
    class: "inning-position"
  }, "\n    ", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("position"), view.lookup("data"));
  }, function() {
    return [ "\n      ", HTML.I({
      class: "fa fa-caret-up"
    }), "\n    " ];
  }, function() {
    return [ "\n      ", HTML.I({
      class: "fa fa-caret-down"
    }), "\n    " ];
  }), "\n  "), "\n  ", HTML.SPAN({
    class: "inning"
  }, Blaze.View("lookup:grammer", function() {
    return Spacebars.mustache(view.lookup("grammer"), view.lookup("inning"));
  })) ];
}));

Template.__checkName("playersOnBase");
Template["playersOnBase"] = new Template("Template.playersOnBase", (function() {
  var view = this;
  return [ HTML.Raw("<!-- Fix last / clean up -->\n  "), Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("playerOnBase"), 3, view.lookup("base"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-empty base-diamond base-fix third-base"
    }), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-diamond base-fix third-base"
    }), "\n  " ];
  }), "\n  ", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("playerOnBase"), 2, view.lookup("base"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-empty base-diamond second-base"
    }), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-diamond second-base"
    }), "\n  " ];
  }), "\n  ", Blaze.If(function() {
    return Spacebars.dataMustache(view.lookup("playerOnBase"), 1, view.lookup("base"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-empty base-diamond base-fix first-base"
    }), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "base-diamond base-fix first-base"
    }), "\n  " ];
  }) ];
}));

}).call(this);
