(function(){
Template.__checkName("games");
Template["games"] = new Template("Template.games", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t  ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n\t    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }), "\n\t  "), "\n\t" ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t", HTML.H1({
        class: "title white-text-header"
      }, "Game Schedule"), "\n  " ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t ", HTML.BUTTON({
        style: "font-size: 9px;",
        class: "button button-clear",
        "data-action": "filterGames"
      }, "\n\t\t\t ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("funnel")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n\t\t "), "\n\t " ];
    });
  }), "\n\n\t", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n\t\t", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\n\t\t  ", HTML.DIV({
        class: "item item-divider "
      }, "\n\t\t\t\tUpcoming Games\n      "), "\n\t\t\t", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t\t\t", HTML.DIV({
          class: "container ten-spacing clear-fix filter-section"
        }, "\n\t\t\t\t\t", HTML.H4({
          class: "float-left ten-spacing"
        }, "Filters:"), "\n\t\t\t\t\t\t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("filters")),
            _variable: "filter"
          };
        }, function() {
          return [ "\n\t\t\t\t\t\t\t", HTML.SPAN({
            class: "filter-box",
            "data-action": "removeFilter"
          }, Blaze.View("lookup:filter", function() {
            return Spacebars.mustache(view.lookup("filter"));
          })), "\n\t\t\t\t\t\t" ];
        }), "\n\t\t\t\t\t\t", HTML.DIV({
          class: "filter-box",
          "data-action": "filterGames"
        }, "\n\t\t\t\t\t\t\tView All\n\t\t\t\t\t\t\t", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("chevron-right")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.Comment(" {{> spinLoader}} "), "\n\n\t\t\t\t", HTML.Comment(' {{#if Template.subscriptionsReady}}\n\t\t\t\t\t<div class="loading-wrapper"> '), "\n\t\t\t\t\t\t", Blaze.If(function() {
          return Spacebars.call(view.lookup("noGames"));
        }, function() {
          return [ "\n\t\t\t\t\t\t\t", HTML.DIV({
            class: "no-notifications"
          }, "\n\t\t\t\t\t\t\t\tNo Matching Games\n\t\t\t\t\t\t\t"), "\n\t\t\t\t\t\t\t", HTML.DIV({
            class: "container hundred-bottom"
          }, "\n\t\t\t\t\t\t\t\t", HTML.SPAN("Adjust game filter by selecting more sports or a longer period of time. Click the ", Blaze._TemplateWith(function() {
            return {
              icon: Spacebars.call("funnel")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionIcon"));
          }), " button above. Must select a sport"), "\n\t\t\t\t\t\t\t"), "\n\t\t\t\t\t\t" ];
        }), "\n\n\t\t\t\t\t\t", HTML.DIV({
          id: "animateGames",
          class: "container ten-spacing clear-fix"
        }, "\n\t\t\t        ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("games")),
            _variable: "game"
          };
        }, function() {
          return [ "\n\t\t\t          ", HTML.DIV({
            id: "complete-game-card",
            class: "clear-fix fast animated"
          }, "\n\t\t\t          \t", Blaze.If(function() {
            return Spacebars.call(view.lookup("admin"));
          }, function() {
            return [ "\n\t\t\t          \t\t", Blaze._TemplateWith(function() {
              return {
                game: Spacebars.call(view.lookup("game"))
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("adminControls"));
            }), "\n\t\t\t            " ];
          }), "\n\t\t\t            ", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("game"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("entireGameCard"));
          }), "\n\t\t\t          "), "\n\t\t\t        " ];
        }), "\n\t\t\t      "), "\n\t\t\t\t\t", HTML.Comment(" </div>\n\t\t\t\t{{/if}} "), "\n\t\t\t" ];
      }), "\n\t\t" ];
    }), "\n\t" ];
  }) ];
}));

}).call(this);
