(function(){
Template.__checkName("gamesFilter");
Template["gamesFilter"] = new Template("Template.gamesFilter", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Filter Games")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n    ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n    ", HTML.DIV({
          class: "item item-divider",
          style: "border: 0px!important;"
        }, "Limit By Time"), "\n    ", HTML.FORM("\n      ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("dates")),
            _variable: "option"
          };
        }, function() {
          return [ "\n        ", Blaze._TemplateWith(function() {
            return {
              o: Spacebars.call(view.lookup("option"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("radioOption"));
          }), "\n      " ];
        }), "\n    "), "\n    ", HTML.DIV({
          class: "item item-divider ten-spacing"
        }, "Sports"), "\n    ", HTML.FORM("\n    ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("options")),
            _variable: "option"
          };
        }, function() {
          return [ "\n      ", Blaze._TemplateWith(function() {
            return {
              o: Spacebars.call(view.lookup("option"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("gamesOption"));
          }), "\n    " ];
        }), "\n    "), "\n  " ];
      }), "\n  " ];
    });
  });
}));

Template.__checkName("gamesOption");
Template["gamesOption"] = new Template("Template.gamesOption", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("item-text-wrap item-checkbox notification-checkbox")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionItem"), function() {
      return [ "\n    ", HTML.LABEL({
        class: "checkbox"
      }, "\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.lookup("alreadySelected"));
      }, function() {
        return [ "\n\t\t\t\t", HTML.INPUT({
          type: "checkbox",
          checked: "",
          style: "float: left;"
        }), "\n\t\t\t" ];
      }, function() {
        return [ "\n\t\t\t\t", HTML.INPUT({
          type: "checkbox",
          style: "float: left;"
        }), "\n\t\t\t" ];
      }), "\n\t\t\t", HTML.SPAN({
        class: "checkbox-text"
      }, Blaze.View("lookup:o", function() {
        return Spacebars.mustache(view.lookup("o"));
      })), "\n    "), "\n  " ];
    });
  });
}));

}).call(this);
