(function(){
Template.__checkName("_reportQuestion");
Template["_reportQuestion"] = new Template("Template._reportQuestion", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Report A Question")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n    ", HTML.DIV({
        class: "container ten-spacing"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          collection: Spacebars.call("QuestionReport"),
          id: Spacebars.call("reportQuestion"),
          schema: Spacebars.call(view.lookup("reportQuestion")),
          type: Spacebars.call("insert")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("autoForm"), function() {
          return [ "\n        ", HTML.H3("Question: ", Blaze.View("lookup:..que", function() {
            return Spacebars.mustache(Spacebars.dot(view.lookup("."), "que"));
          })), "\n        ", HTML.H4("Answer: ", Blaze.View("lookup:answer", function() {
            return Spacebars.mustache(view.lookup("answer"));
          })), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("correctAnswer"),
              type: Spacebars.call("select-checkbox"),
              options: Spacebars.call(view.lookup("questionOptions"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              name: Spacebars.call("comment"),
              type: Spacebars.call("textarea"),
              "label-type": Spacebars.call("stacked")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", Blaze._TemplateWith(function() {
            return {
              type: Spacebars.call("hidden"),
              name: Spacebars.call("questionId"),
              value: Spacebars.call(view.lookup("questionId"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n        ", HTML.BUTTON({
            class: "button button-balanced col col-100 hundred-bottom",
            type: "submit"
          }, "Report Question!"), "\n      " ];
        });
      }), "\n    "), "\n  " ];
    });
  });
}));

}).call(this);
