(function(){
Template.__checkName("history");
Template["history"] = new Template("Template.history", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t  ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n\t    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }, function() {
        return [ "\n\t      ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n\t    " ];
      }), "\n\t  "), "\n\t" ];
    });
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t", HTML.H1({
        class: "title white-text-header"
      }, "Question History"), "\n " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n\t\t", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t\t", Blaze.If(function() {
        return Spacebars.call(view.templateInstance().subscriptionsReady());
      }, function() {
        return [ "\n\t\t\t\t", HTML.DIV({
          id: "history",
          class: "list"
        }, "\n\t\t\t\t\t", Blaze.If(function() {
          return Spacebars.call(view.lookup("noGamesPlayed"));
        }, function() {
          return [ "\n\t\t\t\t\t\t", HTML.DIV({
            class: "no-notifications"
          }, "\n\t\t\t\t\t\t\tNo Games Played\n\t\t\t\t\t\t"), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t\t", Blaze.Each(function() {
          return Spacebars.call(view.lookup("gamesPlayed"));
        }, function() {
          return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
            return {
              path: Spacebars.call("gameHistory.show")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n\t\t\t\t\t\t\t", Blaze.View("lookup:name", function() {
                return Spacebars.mustache(view.lookup("name"));
              }), "\n\t\t\t\t\t\t" ];
            });
          }), "\n\t\t\t\t\t" ];
        }), "\n\t\t\t\t"), "\n\t\t\t" ];
      }, function() {
        return [ "\n\t\t\t\t", Spacebars.include(view.lookupTemplate("spinLoader")), "\n\t\t\t" ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
