(function(){
Template.__checkName("singleGameHistory");
Template["singleGameHistory"] = new Template("Template.singleGameHistory", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n\t", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n\t\t", HTML.H1({
        class: "title white-text-header"
      }, "\n      Game History\n    "), "\n\t" ];
    });
  }), HTML.Raw('\n\n<!-- \t{{#ionSubheaderBar class="subheader"}}\n\t\t{{> singleGameAwards}}\n\t{{/ionSubheaderBar}} -->\n\n  '), Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n    \t", HTML.DIV({
        class: "container ten-spacing"
      }, "\n\t    \t", Blaze.If(function() {
        return Spacebars.call(view.lookup("notPrediction"));
      }, function() {
        return [ "\n\t\t    \t", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("game")),
            _variable: "g"
          };
        }, function() {
          return [ "\n            ", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("g")),
              border: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("singleGameInfo"));
          }), "\n\t\t    \t\t", Blaze._TemplateWith(function() {
            return {
              game: Spacebars.call(view.lookup("g"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("singleGameCard"));
          }), "\n\t\t    \t" ];
        }), "\n\t\t    " ];
      }), "\n\t\t\t"), "\n\n\t    ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n\t\t\t\t", HTML.DIV({
          class: "container ten-spacing hundred-bottom"
        }, "\n\t\t\t    ", Blaze._TemplateWith(function() {
          return {
            number: Spacebars.call(-1),
            extended: Spacebars.call(true),
            prePickks: Spacebars.call(false)
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("gameHistory"));
        }), "\n\t\t\t\t"), "\n    \t" ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("gameHistory");
Template["gameHistory"] = new Template("Template.gameHistory", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.templateInstance().subscriptionsReady());
  }, function() {
    return [ "\n\t\t", Blaze.Each(function() {
      return {
        _sequence: Spacebars.dataMustache(view.lookup("questions"), view.lookup("i")),
        _variable: "q"
      };
    }, function() {
      return [ "\n\t\t\t", Blaze._TemplateWith(function() {
        return {
          q: Spacebars.call(view.lookup("q")),
          extended: Spacebars.call(Spacebars.dot(view.lookup("."), "extended")),
          prePickks: Spacebars.call(false)
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("singleQuestion"));
      }), "\n\t\t" ];
    }), "\n\t" ];
  }, function() {
    return [ "\n\t\t", Spacebars.include(view.lookupTemplate("spinLoader")), "\n\t" ];
  });
}));

}).call(this);
