(function(){
Template.__checkName("singleQuestion");
Template["singleQuestion"] = new Template("Template.singleQuestion", (function() {
  var view = this;
  return HTML.DIV({
    class: function() {
      return [ "history-item ", Spacebars.mustache(view.lookup("status")), " ", Spacebars.mustache(view.lookup("location")) ];
    }
  }, "\n    ", HTML.DIV({
    class: "question-inner"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      q: Spacebars.call(Spacebars.dot(view.lookup("."), "q")),
      extended: Spacebars.call(Spacebars.dot(view.lookup("."), "extended")),
      prePickk: Spacebars.call(Spacebars.dot(view.lookup("."), "prePickk"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("questionTop"));
  }), "\n      ", Blaze._TemplateWith(function() {
    return {
      q: Spacebars.call(Spacebars.dot(view.lookup("."), "q"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("questionBottom"));
  }), "\n      ", Blaze._TemplateWith(function() {
    return {
      q: Spacebars.call(Spacebars.dot(view.lookup("."), "q")),
      extended: Spacebars.call(Spacebars.dot(view.lookup("."), "extended"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("questionExtended"));
  }), "\n    "), "\n    ", HTML.DIV({
    class: function() {
      return [ "arrow ", Spacebars.mustache(view.lookup("single")) ];
    }
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n\t");
}));

Template.__checkName("questionTop");
Template["questionTop"] = new Template("Template.questionTop", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "single-question-history-top"
  }, "\n    ", HTML.DIV({
    class: function() {
      return [ "question-text ", Spacebars.mustache(view.lookup("questionTitle")) ];
    }
  }, "\n      ", Blaze.View("lookup:q.que", function() {
    return Spacebars.mustache(Spacebars.dot(view.lookup("q"), "que"));
  }), "\n    "), "\n    ", HTML.DIV({
    class: "outcome-coins"
  }, Blaze.View("lookup:winnings", function() {
    return Spacebars.makeRaw(Spacebars.mustache(view.lookup("winnings")));
  })), "\n  "), "\n\t", Blaze.If(function() {
    return Spacebars.call(Spacebars.dot(view.lookup("."), "extended"));
  }, function() {
    return [ "\n\t\t", HTML.DIV({
      class: "time-ago"
    }, Blaze.View("lookup:timeAgo", function() {
      return Spacebars.mustache(view.lookup("timeAgo"));
    })), "\n\t\t", HTML.DIV({
      class: "history-card-divider"
    }), "\n\t" ];
  }) ];
}));

Template.__checkName("questionBottom");
Template["questionBottom"] = new Template("Template.questionBottom", (function() {
  var view = this;
  return HTML.DIV({
    class: "single-question-history-bottom"
  }, "\n    ", HTML.UL({
    class: "question-attributes"
  }, "\n      ", HTML.UL({
    class: "question-details"
  }, "\n        ", Blaze.If(function() {
    return Spacebars.call(view.lookup("answer"));
  }, function() {
    return [ "\n          ", HTML.LI({
      class: "col-md-100"
    }, "\n            ", HTML.DIV({
      class: "col-md-25"
    }, HTML.STRONG("Selected:")), "\n            ", HTML.DIV({
      class: "col-md-75"
    }, Blaze.View("lookup:title", function() {
      return Spacebars.mustache(view.lookup("title"), view.lookup("answer"));
    })), "\n          "), "\n        " ];
  }, function() {
    return [ "\n          ", HTML.LI({
      class: "col-md-100"
    }, "\n            ", HTML.STRONG(Blaze.View("lookup:notAnswered", function() {
      return Spacebars.mustache(view.lookup("notAnswered"));
    })), "\n          "), "\n        " ];
  }), "\n        ", Blaze.If(function() {
    return Spacebars.call(Spacebars.dot(view.lookup("q"), "outcome"));
  }, function() {
    return [ "\n          ", HTML.LI({
      class: "col-md-100"
    }, "\n            ", HTML.DIV({
      class: "col-md-25"
    }, HTML.STRONG("Answer:")), "\n            ", HTML.DIV({
      class: "col-md-75"
    }, Blaze.View("lookup:title", function() {
      return Spacebars.makeRaw(Spacebars.mustache(view.lookup("title"), Spacebars.dot(view.lookup("q"), "outcome")));
    })), "\n          "), "\n        " ];
  }), "\n      "), "\n    "), "\n  ");
}));

Template.__checkName("questionExtended");
Template["questionExtended"] = new Template("Template.questionExtended", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("details"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "single-question-history-bottom"
    }, "\n      ", HTML.UL({
      class: "question-details"
    }, "\n        ", HTML.LI({
      class: "col-md-50"
    }, "\n          ", HTML.STRONG("Wager:"), " ", Blaze.View("lookup:details.wager", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("details"), "wager"));
    })), "\n        ", HTML.LI({
      class: "col-md-50"
    }, "\n          ", HTML.STRONG("Multiplier:"), " ", Blaze.View("lookup:details.multiplier", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("details"), "multiplier"));
    }), "x"), "\n      "), "\n    "), "\n  " ];
  });
}));

Template.__checkName("questionDetails");
Template["questionDetails"] = new Template("Template.questionDetails", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Single Question")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n    ", HTML.DIV({
        class: "container ten-spacing"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          q: Spacebars.call(Spacebars.dot(view.lookup("."), "q")),
          single: Spacebars.call(true),
          extended: Spacebars.call(true)
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("singleQuestion"));
      }), "\n\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("reported"));
      }, function() {
        return [ "\n        ", HTML.BUTTON({
          class: "button ten-spacing button-assertive col col-100",
          disabled: "",
          "ata-action": "report-question"
        }, "\n          Question Reported\n        "), "\n        ", HTML.DIV("\n          You reported this question ", Blaze.View("lookup:questionReported.dateCreated", function() {
          return Spacebars.mustache(Spacebars.dot(view.lookup("questionReported"), "dateCreated"));
        }), "\n        "), "\n      " ];
      }, function() {
        return [ "\n        ", HTML.BUTTON({
          class: "button ten-spacing button-assertive col col-100",
          "data-action": "report-question"
        }, "\n          Report This Question\n        "), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  });
}));

}).call(this);
