(function(){
Template.__checkName("home");
Template["home"] = new Template("Template.home", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ " \n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), " \n      " ];
      }, function() {
        return [ " \n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), " \n      " ];
      }), "\n    "), "\n  " ];
    });
  }), " å\n\n  ", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        style: "font-size: 13px;",
        class: "button button-clear",
        "data-ion-menu-toggle": "right"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("ios-chatboxes")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Home"), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          location: Spacebars.call("home")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("heroSection"));
      }), "\n\n      ", HTML.DIV({
        class: "container hundred-bottom"
      }, "\n        ", Spacebars.include(view.lookupTemplate("homeButtons")), "\n        ", HTML.Comment(" {{> dailyPickkButton}} "), "\n        ", Spacebars.include(view.lookupTemplate("homeGames")), "\n        \n      "), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("homeGames");
Template["homeGames"] = new Template("Template.homeGames", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.templateInstance().subscriptionsReady());
  }, function() {
    return [ "\n    ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("listGames")),
        _variable: "game"
      };
    }, function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          game: Spacebars.call(view.lookup("game"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("entireGameCard"));
      }), "\n    " ];
    }), "\n    ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("prePickk")),
        _variable: "game"
      };
    }, function() {
      return [ " \n      ", Blaze._TemplateWith(function() {
        return {
          game: Spacebars.call(view.lookup("game"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("entireGameCard"));
      }), " \n    " ];
    }), "\n    ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("upcomingGames")),
        _variable: "game"
      };
    }, function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          game: Spacebars.call(view.lookup("game"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("entireGameCard"));
      }), "\n    " ];
    }), "\n  " ];
  }, function() {
    return [ "\n     ", Spacebars.include(view.lookupTemplate("spinLoader")), "\n  " ];
  });
}));

Template.__checkName("homeButtons");
Template["homeButtons"] = new Template("Template.homeButtons", (function() {
  var view = this;
  return HTML.DIV({
    id: "button-section",
    class: "animated fadeInRight"
  }, HTML.Raw('\n    <!-- These should be dynamicly created so it can changed quickly without submitting an update -->\n    <!-- {{#each button in buttons}}\n      <div class="button-card half" data-action="{{ref}}">\n        {{{icon}}}\n        <span class="text">{{title}}</span>\n        <span class="arrow">{{> ionIcon icon="ios-arrow-right"}}</span>\n      </div>\n    {{/each}} -->\n    '), HTML.DIV({
    class: "button-card half",
    "data-action": "notification-button"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("notifications")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n      ", HTML.Raw('<span class="text">Notifications</span>'), "\n      ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n    "), "\n    ", HTML.DIV({
    class: "button-card half",
    "data-action": "leagues-button"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("league")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n      ", HTML.Raw('<span class="text">Leagues</span>'), "\n      ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n    "), "\n    ", HTML.DIV({
    class: "button-card half",
    "data-action": "matchups-button"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("matchup")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n      ", HTML.Raw('<span class="text">Matchups</span>'), "\n      ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n    "), "\n    ", HTML.DIV({
    class: "button-card half",
    "data-action": "allGames"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("games")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n      ", HTML.Raw('<span class="text">View Games</span>'), "\n      ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n    "), "\n  ");
}));

Template.__checkName("dailyPickkButton");
Template["dailyPickkButton"] = new Template("Template.dailyPickkButton", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("gamePrediction"));
  }, function() {
    return [ "\n  ", HTML.DIV({
      class: "animated fadeInRight"
    }, "\n    ", HTML.BUTTON({
      class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background",
      style: "height: 45px; margin-bottom: 10px;",
      "data-action": "game-prediction"
    }, "\n      ", HTML.I({
      class: "fa fa-diamond",
      style: "font-size: 1.3em; font-weight: 100;"
    }), "\n      ", HTML.SPAN({
      class: "daily-pickk-text"
    }, "New Daily Pickks"), "\n    "), "\n  "), "\n  " ];
  });
}));

}).call(this);
