(function(){
Template.__checkName("chatLayout");
Template["chatLayout"] = new Template("Template.chatLayout", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionBody"), function() {
    return [ "\n  ", Spacebars.include(view.lookupTemplate("ionSideMenuContainer"), function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("ionSideMenuContent"), function() {
        return [ "\n        ", HTML.Comment(" https://github.com/meteoric/meteor-ionic/issues/347 "), "\n        ", Blaze._TemplateWith(function() {
          return {
            name: Spacebars.call("stub"),
            direction: Spacebars.call("forward")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionNavBar"));
        }), "\n        ", Blaze._TemplateWith(function() {
          return {
            direction: Spacebars.call("backward")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionNavView"), function() {
            return [ "\n          ", HTML.Comment(" {{> chatHeader}} "), "\n        " ];
          });
        }), "\n        ", HTML.Comment(" {{> yield}} "), "\n      " ];
      }), "\n    " ];
    }), "\n  " ];
  });
}));

Template.__checkName("chatHeader");
Template["chatHeader"] = new Template("Template.chatHeader", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n   ", HTML.H1({
        class: "title white-text-header"
      }, Blaze.View("lookup:group", function() {
        return Spacebars.mustache(view.lookup("group"));
      }), " Chat"), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n  ", HTML.A({
        href: "/chatOverview"
      }, "\n   ", HTML.BUTTON({
        class: "button button-clear",
        "data-action": "loader"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("ios-arrow-back")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  "), "\n  " ];
    });
  }), "\n\n   ", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear",
        "data-ion-popover": "_groupChats"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("ios-people")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  " ];
    });
  }) ];
}));

}).call(this);
