(function(){
Template.__checkName("sideMenuContent");
Template["sideMenuContent"] = new Template("Template.sideMenuContent", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "profile-container"
  }, "\n    ", HTML.A({
    href: "/settings",
    class: "edit-settings"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("gear-a")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n    "), "\n    ", HTML.A({
    "data-action": "profile",
    class: "view-profile"
  }, "\n      ", Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-person")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  }), "\n    "), "\n    ", Blaze.If(function() {
    return Spacebars.call(view.lookup("currentUser"));
  }, function() {
    return [ "\n      ", HTML.A({
      href: "#",
      "data-ion-menu-toggle": "left"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        size: Spacebars.call("medium"),
        userId: Spacebars.call(Spacebars.dot(view.lookup("currentUser"), "_id"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("userAvatar"));
    }), "\n      "), "\n      ", HTML.STRONG({
      class: "username"
    }, Blaze.View("lookup:currentUser.profile.username", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("currentUser"), "profile", "username"));
    })), HTML.BR(), "\n      ", HTML.I({
      class: "fa fa-diamond"
    }), "\n      ", HTML.STRONG(" ", Blaze.View("lookup:diamonds", function() {
      return Spacebars.mustache(view.lookup("diamonds"));
    })), "\n    " ];
  }), "\n  "), "\n\n  ", Spacebars.include(view.lookupTemplate("ionList"), function() {
    return [ "\n    ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("links")),
        _variable: "link"
      };
    }, function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("custom-list"),
          path: Spacebars.call(Spacebars.dot(view.lookup("link"), "path")),
          "data-ion-menu-toggle": Spacebars.call("left"),
          "data-action": Spacebars.call("close-menu")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionItem"), function() {
          return [ "\n        ", Blaze._TemplateWith(function() {
            return {
              size: Spacebars.call("sm"),
              icon: Spacebars.call(Spacebars.dot(view.lookup("link"), "icon"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("pickkIcon"));
          }), "\n        ", HTML.DIV(Blaze.View("lookup:link.title", function() {
            return Spacebars.mustache(Spacebars.dot(view.lookup("link"), "title"));
          })), "\n      " ];
        });
      }), "\n    " ];
    }), "\n    ", Blaze.If(function() {
      return Spacebars.call(view.lookup("isMobile"));
    }, function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          class: Spacebars.call("contact-us"),
          iconLeft: Spacebars.call(true),
          "data-ion-menu-toggle": Spacebars.call("left")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionItem"), function() {
          return [ "\n        ", Blaze._TemplateWith(function() {
            return {
              icon: Spacebars.call("ios-person-outline")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionIcon"));
          }), "\n        Contact Us ", Blaze.View("lookup:messageCount", function() {
            return Spacebars.mustache(view.lookup("messageCount"));
          }), "\n      " ];
        });
      }), "\n\n      ", HTML.Comment(' {{#ionItem class="js-share-link" iconLeft=true data-ion-menu-toggle="left"}}\n        {{> ionIcon icon=\'share\'}}\n        Share\n      {{/ionItem}} '), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
