(function(){
Template.__checkName("gameLeaderboard");
Template["gameLeaderboard"] = new Template("Template.gameLeaderboard", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "header";
  }, function() {
    return Spacebars.include(view.lookupTemplate("yield"));
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n   ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n " ];
    });
  }), "\n\n ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n  ", HTML.H1({
        class: "title white-text-header"
      }, "Game Leaderboard"), "\n " ];
    });
  }), HTML.Raw('\n\n \t<!-- {{#contentFor "headerButtonRight"}}\n     <button style="font-size: 9px;" class="button button-clear" data-ion-menu-toggle="right">\n       {{> ionIcon icon="funnel"}}\n     </button>\n   {{/contentFor}} -->\n\n  '), Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          data: Spacebars.call(view.lookup("data"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("miniLeaderboard"));
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("miniLeaderboard");
Template["miniLeaderboard"] = new Template("Template.miniLeaderboard", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("leaderboard"));
  }, function() {
    return [ "\n    ", HTML.OL({
      type: "1",
      id: "leaderboard"
    }, "\n      ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("players")),
        _variable: "player"
      };
    }, function() {
      return [ "\n        ", Blaze._TemplateWith(function() {
        return {
          player: Spacebars.call(view.lookup("player"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("singlePlayerLeader"));
      }), "\n      " ];
    }), "\n    "), "\n  " ];
  }, function() {
    return [ "\n  ", HTML.OL({
      type: "1",
      id: "leaderboard"
    }, "\n    ", Blaze.Each(function() {
      return {
        _sequence: Spacebars.call(view.lookup("limit")),
        _variable: "number"
      };
    }, function() {
      return [ "\n      ", Blaze._TemplateWith(function() {
        return {
          number: Spacebars.call(view.lookup("number"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("singlePlayerLeaderHolder"));
      }), "\n    " ];
    }), "\n  "), "\n  " ];
  });
}));

Template.__checkName("singlePlayerLeader");
Template["singlePlayerLeader"] = new Template("Template.singlePlayerLeader", (function() {
  var view = this;
  return HTML.DIV({
    class: function() {
      return [ "item item-avatar leaderboard-item ", Spacebars.mustache(view.lookup("following")), " ", Spacebars.mustache(view.lookup("thisUser")) ];
    }
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      userId: Spacebars.call(Spacebars.dot(view.lookup("player"), "_id"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("userAvatar"));
  }), "\n    ", HTML.LI({
    class: "list-font",
    value: function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("player"), "rank"));
    }
  }, "\n      ", HTML.SPAN({
    class: "username"
  }, Blaze.View("lookup:username", function() {
    return Spacebars.mustache(view.lookup("username"), Spacebars.dot(view.lookup("player"), "_id"));
  })), "\n      ", HTML.SPAN({
    class: "score"
  }, "\n        ", Blaze.View("lookup:player.coins", function() {
    return Spacebars.makeRaw(Spacebars.mustache(Spacebars.dot(view.lookup("player"), "coins")));
  }), "\n      "), "\n    "), "\n  ");
}));

Template.__checkName("singlePlayerLeaderHolder");
Template["singlePlayerLeaderHolder"] = new Template("Template.singlePlayerLeaderHolder", (function() {
  var view = this;
  return HTML.DIV({
    class: "item item-avatar leaderboard-item"
  }, HTML.Raw('\n    <div class="avatar user-avatar legit">\n      <img class="avatar-loading-anim avatar-image circle-image">\n    </div>\n    '), HTML.LI({
    class: "list-font",
    value: function() {
      return Spacebars.mustache(view.lookup("number"));
    }
  }), "\n  ");
}));

}).call(this);
