(function(){
Template.__checkName("inviteToLeague");
Template["inviteToLeague"] = new Template("Template.inviteToLeague", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "header";
  }, function() {
    return Spacebars.include(view.lookupTemplate("yield"));
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Invite User to League"), "\n  " ];
    });
  }), HTML.Raw('\n\n  <!-- {{#contentFor "headerButtonRight"}}\n    <button class="button button-clear right" data-action="skip">\n      Skip\n    </button>\n  {{/contentFor}} -->\n\n  '), Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("inviteToLeagueBox")), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("inviteToLeagueBox");
Template["inviteToLeagueBox"] = new Template("Template.inviteToLeagueBox", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "search-bar-fix"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("UserListIndex")),
      attributes: Spacebars.call(view.lookup("inputAttributes"))
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Input"));
    });
  }), "\n  "), "\n\n  ", HTML.DIV({
    class: "container ten-spacing hundred-bottom"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("UserListIndex"))
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "IfInputEmpty"));
    }, function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n        ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("followers")),
            _variable: "follower"
          };
        }, function() {
          return [ "\n          ", Blaze._TemplateWith(function() {
            return {
              buttonRight: Spacebars.call(true),
              avatar: Spacebars.call(true)
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("ionItem"), function() {
              return [ "\n            ", HTML.A({
                class: "item-avatar avatar-fix",
                href: function() {
                  return Spacebars.mustache(view.lookup("pathFor"), Spacebars.kw({
                    route: "user.show",
                    _id: view.lookup("follower")
                  }));
                }
              }, "\n              ", Blaze._TemplateWith(function() {
                return {
                  userId: Spacebars.call(view.lookup("follower"))
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("userAvatar"));
              }), "\n              ", Blaze._TemplateWith(function() {
                return {
                  userId: Spacebars.call(view.lookup("follower"))
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("singleUsername"));
              }), "\n            "), "\n            ", Blaze._TemplateWith(function() {
                return {
                  _id: Spacebars.call(view.lookup("follower"))
                };
              }, function() {
                return Spacebars.include(view.lookupTemplate("inviteButton"));
              }), "\n          " ];
            });
          }), "\n        " ];
        }), "\n      " ];
      }), "\n    " ];
    }, function() {
      return [ "\n      ", HTML.DIV({
        class: "list-group"
      }, "\n        ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n          ", Blaze._TemplateWith(function() {
          return {
            index: Spacebars.call(view.lookup("UserListIndex"))
          };
        }, function() {
          return Spacebars.include(function() {
            return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "Each"));
          }, function() {
            return [ "\n            ", Blaze._TemplateWith(function() {
              return {
                buttonRight: Spacebars.call(true),
                avatar: Spacebars.call(true)
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("ionItem"), function() {
                return [ "\n              ", HTML.A({
                  class: "item-avatar avatar-fix",
                  href: function() {
                    return Spacebars.mustache(view.lookup("pathFor"), Spacebars.kw({
                      route: "user.show",
                      _id: view.lookup("__originalId")
                    }));
                  }
                }, "\n                ", Blaze._TemplateWith(function() {
                  return {
                    size: Spacebars.call("medium"),
                    userId: Spacebars.call(view.lookup("__originalId"))
                  };
                }, function() {
                  return Spacebars.include(view.lookupTemplate("userAvatar"));
                }), "\n                ", Blaze.View("lookup:profile.username", function() {
                  return Spacebars.mustache(Spacebars.dot(view.lookup("profile"), "username"));
                }), "\n              "), "\n              ", Blaze._TemplateWith(function() {
                  return {
                    _id: Spacebars.call(view.lookup("__originalId")),
                    user: Spacebars.call(Spacebars.dot(view.lookup("profile"), "username"))
                  };
                }, function() {
                  return Spacebars.include(view.lookupTemplate("inviteButton"));
                }), "\n            " ];
              });
            }), "\n          " ];
          });
        }), "\n        " ];
      }), "\n      "), "\n    " ];
    });
  }), "\n\n    ", Blaze._TemplateWith(function() {
    return {
      index: Spacebars.call(view.lookup("UserListIndex")),
      logic: Spacebars.call("OR")
    };
  }, function() {
    return Spacebars.include(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("EasySearch"), "IfNoResults"));
    }, function() {
      return [ "\n    ", HTML.DIV({
        class: "item invite-item item-button-right"
      }, "\n      ", HTML.H2("Invite New Friends"), "\n      ", HTML.BUTTON({
        "data-action": "textInvite",
        class: "button button-balanced"
      }, "Invite"), "\n    "), "\n    " ];
    });
  }), "\n  "), HTML.Raw('\n  <div class="move-to-next-step-without-completing-goal" data-action="selectLater">\n    I Will Invite Other Players Later\n  </div>') ];
}));

Template.__checkName("inviteButton");
Template["inviteButton"] = new Template("Template.inviteButton", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("isInvited"));
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      class: "button",
      disabled: "disabled"
    }, "Invited"), "\n  " ];
  }, function() {
    return [ "\n    ", HTML.BUTTON({
      "data-action": "invite",
      id: function() {
        return Spacebars.mustache(view.lookup("_id"));
      },
      class: "button"
    }, "Invite"), "\n  " ];
  });
}));

}).call(this);
