(function(){
Template.__checkName("leagueCard");
Template["leagueCard"] = new Template("Template.leagueCard", (function() {
  var view = this;
  return HTML.DIV({
    class: function() {
      return [ "ten-spacing ", Spacebars.mustache(view.lookup("joined")), " card-container" ];
    },
    "data-action": "viewLeague"
  }, "\n\t\t", HTML.DIV({
    class: "league-card-header"
  }, "\n\t\t\t", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      league: Spacebars.call(view.lookup("."))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("leagueAvatar"));
  }), "\n\t\t\t", HTML.DIV({
    class: "detail-container"
  }, "\n\t\t\t\t", HTML.DIV({
    class: "league-name"
  }, Blaze.View("lookup:name", function() {
    return Spacebars.mustache(view.lookup("name"));
  })), "\n\t\t\t\t", HTML.DIV({
    class: "commissioner"
  }, "\n\t\t\t\t\t", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("xs"),
      icon: Spacebars.call("commissioner")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n\t\t\t\t\t", Blaze.View("lookup:commissioner", function() {
    return Spacebars.mustache(view.lookup("commissioner"));
  }), "\n\t\t\t\t"), "\n\t\t\t"), "\n\t\t\t", HTML.SPAN({
    class: function() {
      return [ "arrow ", Spacebars.mustache(view.lookup("single")) ];
    }
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n\t\t"), HTML.Raw("\n\t\t<!-- {{> leagueDetails}} -->\n\t"));
}));

Template.__checkName("leagueDetails");
Template["leagueDetails"] = new Template("Template.leagueDetails", (function() {
  var view = this;
  return HTML.DIV({
    class: "league-card-body card-detail-section"
  }, "\n\t\t", Blaze.Each(function() {
    return {
      _sequence: Spacebars.call(view.lookup("sections")),
      _variable: "section"
    };
  }, function() {
    return [ "\n\t\t\t", HTML.DIV({
      class: "section"
    }, "\n\t\t\t\t", HTML.DIV({
      class: function() {
        return [ "section-icon-container ", Spacebars.mustache(Spacebars.dot(view.lookup("section"), "alert")) ];
      }
    }, "\n\t\t\t\t\t", Blaze.If(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("section"), "list"));
    }, function() {
      return [ "\n\t\t\t\t\t\t", HTML.UL({
        style: "margin-top:auto;"
      }, "\n\t\t\t\t\t\t\t", Blaze.Each(function() {
        return {
          _sequence: Spacebars.call(Spacebars.dot(view.lookup("section"), "list")),
          _variable: "item"
        };
      }, function() {
        return [ "\n\t\t\t\t\t\t\t\t", HTML.LI(Blaze.View("lookup:item", function() {
          return Spacebars.mustache(view.lookup("item"));
        })), "\n\t\t\t\t\t\t\t" ];
      }), "\n\t\t\t\t\t\t"), "\n\t\t\t\t\t" ];
    }), "\n\t\t\t\t\t", Blaze.If(function() {
      return Spacebars.call(Spacebars.dot(view.lookup("section"), "icon"));
    }, function() {
      return [ "\n\t\t\t\t\t\t", Blaze._TemplateWith(function() {
        return {
          size: Spacebars.call("sm"),
          icon: Spacebars.call(Spacebars.dot(view.lookup("section"), "icon"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("pickkIcon"));
      }), "\n\t\t\t\t\t" ];
    }, function() {
      return [ "\n\t\t\t\t\t\t", HTML.H4(Blaze.View("lookup:section.headline", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("section"), "headline"));
      })), "\n\t\t\t\t\t" ];
    }), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.DIV(Blaze.View("lookup:section.title", function() {
      return Spacebars.mustache(Spacebars.dot(view.lookup("section"), "title"));
    })), "\n\t\t\t"), "\n\t\t" ];
  }), "\n\t");
}));

}).call(this);
