(function(){
Template.__checkName("_matchupMembers");
Template["_matchupMembers"] = new Template("Template._matchupMembers", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      class: Spacebars.call("white-text-header"),
      title: Spacebars.call("Members")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionModal"), function() {
      return [ "\n    ", HTML.DIV({
        class: "hundred-bottom"
      }, "\n      ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n        ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("users")),
            _variable: "user"
          };
        }, function() {
          return [ "\n          ", Blaze._TemplateWith(function() {
            return {
              user: Spacebars.call(view.lookup("user")),
              matchup: Spacebars.call(Spacebars.dot(view.lookup("."), "matchup"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("matchupMemberItem"));
          }), "\n        " ];
        }), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  });
}));

Template.__checkName("matchupMemberItem");
Template["matchupMemberItem"] = new Template("Template.matchupMemberItem", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      buttonRight: Spacebars.call(true),
      avatar: Spacebars.call(true)
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionItem"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          userId: Spacebars.call(Spacebars.dot(view.lookup("user"), "_id"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("userAvatar"));
      }), "\n    ", Blaze.View("lookup:user.profile.username", function() {
        return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "profile", "username"));
      }), "\n    ", Blaze.If(function() {
        return Spacebars.call(view.lookup("admin"));
      }, function() {
        return [ "\n      ", HTML.BUTTON({
          value: function() {
            return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "_id"));
          },
          "data-action": "delete",
          class: "button"
        }, "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("ios-close")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      "), "\n    " ];
      }, function() {
        return [ "\n      ", HTML.BUTTON({
          value: function() {
            return Spacebars.mustache(Spacebars.dot(view.lookup("user"), "_id"));
          },
          "data-action": "viewUser",
          class: "button"
        }, "\n        View\n      "), "\n    " ];
      }), "\n  " ];
    });
  });
}));

}).call(this);
