(function(){
Template.__checkName("matchup");
Template["matchup"] = new Template("Template.matchup", (function() {
  var view = this;
  return [ HTML.Raw("<!-- Standard Nav instead of the custom nav design -->\n\t"), Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        class: "button button-clear nav-icon pull-left",
        "data-ion-menu-toggle": "left"
      }, "\n      ", Blaze.If(function() {
        return Spacebars.call(view.lookup("isAndroid"));
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("android-more-vertical")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }, function() {
        return [ "\n        ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("navicon")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n      " ];
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Matchups"), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.BUTTON({
        style: "font-size: 11px;",
        class: "button button-clear",
        "data-action": "filterMatchups"
      }, "\n      ", Blaze._TemplateWith(function() {
        return {
          icon: Spacebars.call("funnel")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionIcon"));
      }), "\n    "), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n\t\t\t", Blaze._TemplateWith(function() {
        return {
          location: Spacebars.call("matchup")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("heroSection"));
      }), "\n      ", HTML.DIV({
        class: "container hundred-bottom"
      }, "\n        ", Blaze.If(function() {
        return Spacebars.call(view.templateInstance().subscriptionsReady());
      }, function() {
        return [ "\n\t\t\t\t  ", Blaze.If(function() {
          return Spacebars.call(view.lookup("anyMatchups"));
        }, function() {
          return [ "\n\t\t\t\t  \t", Blaze.Each(function() {
            return {
              _sequence: Spacebars.call(view.lookup("matchups")),
              _variable: "matchup"
            };
          }, function() {
            return [ "\n\t\t\t\t\t  \t", Blaze._TemplateWith(function() {
              return {
                m: Spacebars.call(view.lookup("matchup"))
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("matchupCard"));
            }), "\n\t\t\t\t  \t" ];
          }), "\n\t\t\t\t  " ];
        }, function() {
          return [ "\n            ", HTML.DIV({
            class: "no-notifications"
          }, "No Matchups Found."), "\n            ", HTML.BUTTON({
            class: "ten-spacing button button-stable col col-100",
            "data-action": "createMatchup"
          }, "Create Matchup"), "\n\t\t\t\t  " ];
        }), "\n        " ];
      }, function() {
        return [ "\n          ", Spacebars.include(view.lookupTemplate("spinLoader")), "\n        " ];
      }), "\n      "), "\n    " ];
    }), "\n  " ];
  }) ];
}));

}).call(this);
