(function(){
Template.__checkName("singleMatchup");
Template["singleMatchup"] = new Template("Template.singleMatchup", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          where: Spacebars.call("matchup")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("deepBackButton"));
      }), "\n    ", HTML.Comment(' {{> ionNavBackButton text=" " path=backUrl text=" "}} '), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Matchup Details"), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerButtonRight";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n  ", Spacebars.With(function() {
        return Spacebars.call(view.lookup("matchup"));
      }, function() {
        return [ "\n    ", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("alreadyJoined"), Spacebars.dot(view.lookup("."), "users"));
        }, function() {
          return [ "\n      ", HTML.Comment(' <button style="font-size: 13px;" class="button button-clear" data-action="editMatchup">\n        {{> ionIcon icon="ios-gear"}}\n      </button> '), "\n    " ];
        }), "\n  " ];
      }), "\n  " ];
    });
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", Spacebars.With(function() {
        return Spacebars.call(view.lookup("matchup"));
      }, function() {
        return [ "\n        ", HTML.DIV({
          id: "single-matchup",
          class: "container"
        }, "\n          ", Blaze._TemplateWith(function() {
          return {
            m: Spacebars.call(view.lookup("matchup"))
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("matchupCard"));
        }), "\n\n          ", Blaze.If(function() {
          return Spacebars.dataMustache(view.lookup("alreadyJoined"), Spacebars.dot(view.lookup("."), "users"));
        }, function() {
          return [ "\n            ", HTML.DIV({
            class: "line-divider"
          }), "\n            ", HTML.DIV({
            id: "button-section"
          }, "\n              ", Spacebars.include(view.lookupTemplate("matchupMember")), "\n            "), "\n          " ];
        }, function() {
          return [ "\n            ", Spacebars.include(view.lookupTemplate("matchupJoin")), "\n          " ];
        }), "\n\n          ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("gameList")),
            _variable: "id"
          };
        }, function() {
          return [ "\n            ", Spacebars.With(function() {
            return Spacebars.dataMustache(view.lookup("game"), view.lookup("id"));
          }, function() {
            return [ "\n              ", HTML.Comment(' <div class="line-divider"></div> '), "\n              ", Blaze._TemplateWith(function() {
              return {
                game: Spacebars.call(view.lookup("."))
              };
            }, function() {
              return Spacebars.include(view.lookupTemplate("entireGameCard"));
            }), "\n            " ];
          }), "\n          " ];
        }), "\n\n          ", Blaze.If(function() {
          return Spacebars.call(view.lookup("gameHasStarted"));
        }, function() {
          return [ "\n            ", Blaze._TemplateWith(function() {
            return {
              data: Spacebars.call(view.lookup("data"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("_leaderboardCard"));
          }), "\n          " ];
        }), "\n\n        "), "\n      " ];
      }), "\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("matchupJoin");
Template["matchupJoin"] = new Template("Template.matchupJoin", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("notMaxed"));
  }, function() {
    return [ "\n    ", Blaze.If(function() {
      return Spacebars.call(view.lookup("league"));
    }, function() {
      return [ "\n      ", HTML.BUTTON({
        "data-action": "viewLeague",
        class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
        style: "height: 45px;"
      }, "\n        Join League and Matchup\n      "), "\n    " ];
    }), "\n    ", Blaze.If(function() {
      return Spacebars.call(view.lookup("allowToView"));
    }, function() {
      return [ "\n      ", HTML.BUTTON({
        "data-action": "joinMatchup",
        class: "button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight",
        style: "height: 45px;"
      }, "\n        Join Matchup\n      "), "\n      ", HTML.DIV({
        class: "line-divider"
      }), "\n\n      ", HTML.DIV({
        id: "button-section"
      }, "\n        ", Spacebars.include(view.lookupTemplate("matchupMember")), "\n      "), "\n    " ];
    }), "\n    ", Blaze.If(function() {
      return Spacebars.call(view.lookup("request"));
    }, function() {
      return [ "\n      ", Spacebars.include(view.lookupTemplate("requestInvite")), "\n    " ];
    }), "\n  " ];
  });
}));

Template.__checkName("matchupMember");
Template["matchupMember"] = new Template("Template.matchupMember", (function() {
  var view = this;
  return [ HTML.DIV({
    class: "button-card half",
    "data-action": "viewMembers"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("player")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n    ", HTML.Raw('<span class="text">Players</span>'), "\n    ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n  "), "\n  ", HTML.DIV({
    class: "button-card half",
    "data-action": "invite"
  }, "\n    ", Blaze._TemplateWith(function() {
    return {
      size: Spacebars.call("small"),
      icon: Spacebars.call("invite")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("pickkIcon"));
  }), "\n    ", HTML.Raw('<span class="text">Invite</span>'), "\n    ", HTML.SPAN({
    class: "arrow"
  }, Blaze._TemplateWith(function() {
    return {
      icon: Spacebars.call("ios-arrow-right")
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("ionIcon"));
  })), "\n  "), "\n  ", Blaze.If(function() {
    return Spacebars.call(view.lookup("gameHasStarted"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "viewLeaderboard"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        size: Spacebars.call("small"),
        icon: Spacebars.call("leaderboard")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("pickkIcon"));
    }), "\n      ", HTML.SPAN({
      class: "text"
    }, "Leaderboard"), "\n      ", HTML.SPAN({
      class: "arrow"
    }, Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-right")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    })), "\n    "), "\n  " ];
  }), "\n  ", Blaze.If(function() {
    return Spacebars.call(view.lookup("league"));
  }, function() {
    return [ "\n    ", HTML.DIV({
      class: "button-card half",
      "data-action": "viewLeague"
    }, "\n      ", Blaze._TemplateWith(function() {
      return {
        size: Spacebars.call("small"),
        icon: Spacebars.call("league")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("pickkIcon"));
    }), "\n      ", HTML.SPAN({
      class: "text"
    }, "View League"), "\n      ", HTML.SPAN({
      class: "arrow"
    }, Blaze._TemplateWith(function() {
      return {
        icon: Spacebars.call("ios-arrow-right")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("ionIcon"));
    })), "\n    "), "\n  " ];
  }) ];
}));

}).call(this);
