(function(){
Template.__checkName("editProfile");
Template["editProfile"] = new Template("Template.editProfile", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "header";
  }, function() {
    return Spacebars.include(view.lookupTemplate("yield"));
  }), "\n\n  ", Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "container"
      }, "\n        ", Blaze._TemplateWith(function() {
        return {
          collection: Spacebars.call("Meteor.users"),
          schema: Spacebars.call(view.lookup("UsersProfileSchema")),
          doc: Spacebars.call(view.lookup("currentUser")),
          id: Spacebars.call("settings")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("autoForm"), function() {
          return [ "\n          ", HTML.DIV({
            class: "list"
          }, "\n            ", Blaze._TemplateWith(function() {
            return {
              autofocus: Spacebars.call(""),
              "label-type": Spacebars.call("stacked"),
              name: Spacebars.call("profile.username"),
              placeholder: Spacebars.call("throwback33")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n            ", Blaze._TemplateWith(function() {
            return {
              "label-type": Spacebars.call("stacked"),
              name: Spacebars.call("profile.firstName"),
              placeholder: Spacebars.call("John")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n            ", Blaze._TemplateWith(function() {
            return {
              "label-type": Spacebars.call("stacked"),
              name: Spacebars.call("profile.lastName"),
              placeholder: Spacebars.call("Smith")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n\n            ", HTML.Comment(" {{> afQuickField label-type='stacked' name='emails.0.address'}} "), "\n            ", Blaze._TemplateWith(function() {
            return {
              "label-type": Spacebars.call("stacked"),
              name: Spacebars.call("profile.birthday")
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("afQuickField"));
          }), "\n            ", Blaze._TemplateWith(function() {
            return "submitButton";
          }, function() {
            return Spacebars.include(view.lookupTemplate("yield"));
          }), "\n          "), "\n        " ];
        });
      }), "\n      "), "\n\n    " ];
    }), "\n  " ];
  }) ];
}));

Template.__checkName("submitNew");
Template["submitNew"] = new Template("Template.submitNew", (function() {
  var view = this;
  return HTML.Raw('<input name="status" type="submit" class="button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight" style="height: 45px; margin-bottom: 300px;" value="Finish Profile">');
}));

Template.__checkName("submitOld");
Template["submitOld"] = new Template("Template.submitOld", (function() {
  var view = this;
  return HTML.Raw('<input name="status" type="submit" class="button col-md-100 ten-spacing daily-pickk-cta daily-pickk-background animated fadeInRight" style="height: 45px; margin-bottom: 300px;" value="Update Profile">');
}));

Template.__checkName("newUserHeader");
Template["newUserHeader"] = new Template("Template.newUserHeader", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "\n      Create Profile\n    "), "\n  " ];
    });
  });
}));

Template.__checkName("oldUserHeader");
Template["oldUserHeader"] = new Template("Template.oldUserHeader", (function() {
  var view = this;
  return [ Blaze._TemplateWith(function() {
    return "headerButtonLeft";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          text: Spacebars.call(" "),
          path: Spacebars.call("index")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("ionNavBackButton"));
      }), "\n  " ];
    });
  }), "\n\n  ", Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "Update Profile"), "\n  " ];
    });
  }) ];
}));

}).call(this);
