(function(){
Template.__checkName("favoriteTeams");
Template["favoriteTeams"] = new Template("Template.favoriteTeams", (function() {
  var view = this;
  return Spacebars.include(view.lookupTemplate("ionView"), function() {
    return [ "\n    ", Spacebars.include(view.lookupTemplate("ionContent"), function() {
      return [ "\n      ", HTML.DIV({
        class: "container ten-spacing hundred-bottom"
      }, "\n        ", Blaze._TemplateWith(function() {
        return {
          id: Spacebars.call("select-sports"),
          route: Spacebars.call("newUserFavoriteTeams"),
          steps: Spacebars.call(view.lookup("steps"))
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("wizard"));
      }), "\n      "), "\n    " ];
    }), "\n  " ];
  });
}));

Template.__checkName("favoriteTeamsHeader");
Template["favoriteTeamsHeader"] = new Template("Template.favoriteTeamsHeader", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return "headerTitle";
  }, function() {
    return Spacebars.include(view.lookupTemplate("contentFor"), function() {
      return [ "\n    ", HTML.H1({
        class: "title white-text-header"
      }, "\n      ", Spacebars.With(function() {
        return Spacebars.call(view.lookup("profile"));
      }, function() {
        return [ " ", Blaze.View("lookup:..profile.username", function() {
          return Spacebars.mustache(Spacebars.dot(view.lookup("."), "profile", "username"));
        }), " " ];
      }), " Choose your Favorite ", HTML.SPAN({
        class: "header-text"
      }, "Sports"), "\n    "), "\n  " ];
    });
  });
}));

Template.__checkName("favoriteSports");
Template["favoriteSports"] = new Template("Template.favoriteSports", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("favoriteSports"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("favoriteSports")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

Template.__checkName("favoriteNFL");
Template["favoriteNFL"] = new Template("Template.favoriteNFL", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("favoriteNFL"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("favoriteNFL")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

Template.__checkName("favoriteMLB");
Template["favoriteMLB"] = new Template("Template.favoriteMLB", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("favoriteMLB"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("favoriteMLB")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

Template.__checkName("favoriteNBA");
Template["favoriteNBA"] = new Template("Template.favoriteNBA", (function() {
  var view = this;
  return Blaze._TemplateWith(function() {
    return {
      id: Spacebars.call("favoriteNBA"),
      doc: Spacebars.call(Spacebars.dot(view.lookup("step"), "data")),
      schema: Spacebars.call(Spacebars.dot(view.lookup("step"), "schema"))
    };
  }, function() {
    return Spacebars.include(view.lookupTemplate("autoForm"), function() {
      return [ "\n    ", Blaze._TemplateWith(function() {
        return {
          name: Spacebars.call("favoriteNBA")
        };
      }, function() {
        return Spacebars.include(view.lookupTemplate("afQuickField"));
      }), "\n    ", Spacebars.include(view.lookupTemplate("wizardButtons")), "\n  " ];
    });
  });
}));

}).call(this);
