(function(){
Template.__checkName("preGame");
Template["preGame"] = new Template("Template.preGame", (function() {
  var view = this;
  return HTML.DIV({
    class: "hundred-bottom"
  }, "\n\t\t", Blaze.If(function() {
    return Spacebars.call(view.lookup("questionsAvailable"));
  }, function() {
    return [ "\n\t\t\t", Spacebars.include(view.lookupTemplate("preGameCard")), "\n\t\t\t", Spacebars.include(view.lookupTemplate("prePickkList")), "\n\t\t" ];
  }, function() {
    return [ "\n\t\t\t", Blaze._TemplateWith(function() {
      return {
        game: Spacebars.call(Spacebars.dot(view.lookup("."), "game"))
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("entireGameCard"));
    }), "\n\t\t\t", Blaze._TemplateWith(function() {
      return {
        gameId: Spacebars.call(Spacebars.dot(view.lookup("."), "game", "_id")),
        number: Spacebars.call(3)
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("historyCardList"));
    }), "\n\t\t\t", Blaze._TemplateWith(function() {
      return {
        gameId: Spacebars.call(Spacebars.dot(view.lookup("."), "game", "_id")),
        type: Spacebars.call("game")
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("matchupCardList"));
    }), "\n\t\t" ];
  }), "\n\t");
}));

Template.__checkName("prePickkList");
Template["prePickkList"] = new Template("Template.prePickkList", (function() {
  var view = this;
  return [ HTML.Raw("<!-- <h3>Pre Pickk Questions: ({{questionsAnswered}} / {{questionsAvailable}})</h3> -->\n\t"), Blaze.Each(function() {
    return {
      _sequence: Spacebars.call(view.lookup("preGamePickks")),
      _variable: "question"
    };
  }, function() {
    return [ "\n\t\t", Blaze._TemplateWith(function() {
      return {
        q: Spacebars.call(view.lookup("question")),
        rounded: Spacebars.call(true),
        single: Spacebars.call(true),
        prePickk: Spacebars.call(true)
      };
    }, function() {
      return Spacebars.include(view.lookupTemplate("singleQuestion"));
    }), "\n\t" ];
  }) ];
}));

Template.__checkName("preGameCard");
Template["preGameCard"] = new Template("Template.preGameCard", (function() {
  var view = this;
  return HTML.DIV({
    id: "notification-center",
    class: "animated fadeInRight"
  }, "\n\t\t", HTML.DIV({
    class: "single-notification complete-game-card info-card"
  }, "\n\t\t\t", HTML.DIV({
    class: "pre-pickk-inner"
  }, "\n\t\t\t\t", HTML.DIV({
    class: "half"
  }, "\n\t\t\t\t\t", HTML.Raw('<span class="title">Coins</span>'), "\n\t\t\t\t\t", HTML.SPAN({
    class: "detail"
  }, Blaze.View("lookup:coins", function() {
    return Spacebars.mustache(view.lookup("coins"));
  })), "\n\t\t\t\t"), "\n\t\t\t\t", HTML.Raw('<div class="vertical-divider"></div>'), "\n\t\t\t\t", HTML.DIV({
    class: "half"
  }, "\n\t\t\t\t\t", HTML.Raw('<span class="title">Pickks</span>'), "\n\t\t\t\t\t", HTML.SPAN({
    class: "detail"
  }, "\n\t\t\t\t\t\t(", Blaze.View("lookup:questionsAnswered", function() {
    return Spacebars.mustache(view.lookup("questionsAnswered"));
  }), " / ", Blaze.View("lookup:questionsAvailable", function() {
    return Spacebars.mustache(view.lookup("questionsAvailable"));
  }), ")\n\t\t\t\t\t"), "\n\t\t\t\t"), "\n\t\t\t"), "\n\t\t"), "\n\t");
}));

}).call(this);
