(function(){
Template.__checkName("inviteToPlay");
Template["inviteToPlay"] = new Template("Template.inviteToPlay", (function() {
  var view = this;
  return Blaze.If(function() {
    return Spacebars.call(view.lookup("active"));
  }, function() {
    return [ "\n  ", HTML.DIV({
      class: "item item-divider ten-spacing"
    }, "\n    ", HTML.SPAN("Challenge A Friend!"), "\n  "), "\n\n  ", HTML.DIV({
      class: "item invite-item item-button-right"
    }, "\n    ", HTML.H2("Share With Friends"), "\n    ", HTML.BUTTON({
      "data-action": "textInvite",
      class: "button button-balanced"
    }, "Invite"), "\n  "), "\n\n  ", HTML.DIV({
      class: "item invite-item item-button-right"
    }, "\n    ", HTML.H2("Join or Create a Matchup"), "\n    ", HTML.BUTTON({
      "data-action": "gameMatchup",
      class: "button button-stable"
    }, "Go"), "\n  "), "\n\n    ", Blaze.If(function() {
      return Spacebars.call(view.lookup("listToShare"));
    }, function() {
      return [ "\n    ", Spacebars.include(view.lookupTemplate("ionList"), function() {
        return [ "\n      ", HTML.DIV({
          class: "item invite-item item-button-right"
        }, "\n        ", HTML.H2("Invite All Followers"), "\n        ", HTML.BUTTON({
          "data-action": "inviteAll",
          value: function() {
            return Spacebars.mustache(view.lookup("follower"));
          },
          class: "button button-balanced"
        }, "Invite"), "\n      "), "\n\n      ", Blaze.Each(function() {
          return {
            _sequence: Spacebars.call(view.lookup("followers")),
            _variable: "follower"
          };
        }, function() {
          return [ "\n        ", HTML.DIV({
            class: "item invite-item item-button-right"
          }, "\n          ", Blaze._TemplateWith(function() {
            return {
              userId: Spacebars.call(view.lookup("follower"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("userAvatar"));
          }), "\n          ", HTML.H2(Blaze._TemplateWith(function() {
            return {
              userId: Spacebars.call(view.lookup("follower"))
            };
          }, function() {
            return Spacebars.include(view.lookupTemplate("singleUsername"));
          })), "\n          ", HTML.BUTTON({
            "data-action": "invite",
            value: function() {
              return Spacebars.mustache(view.lookup("follower"));
            },
            class: "button button-balanced"
          }, "Invite"), "\n        "), "\n      " ];
        }), "\n\n      ", HTML.DIV({
          class: "item invite-item item-button-right"
        }, "\n        ", HTML.H2("Dismiss Invite Box"), "\n        ", HTML.BUTTON({
          "data-action": "dismiss",
          value: function() {
            return Spacebars.mustache(view.lookup("follower"));
          },
          class: "button button-stable"
        }, "\n          ", Blaze._TemplateWith(function() {
          return {
            icon: Spacebars.call("ios-close")
          };
        }, function() {
          return Spacebars.include(view.lookupTemplate("ionIcon"));
        }), "\n        "), "\n      "), "\n    " ];
      }), "\n  " ];
    }), "\n  " ];
  });
}));

}).call(this);
